%global perl_version    5.34.0
%global perl_epoch      4
%global anolis_release	4

Name:           perl
License:        GPL+ or Artistic
Epoch:          %{perl_epoch}
Version:        %{perl_version}
Release:        %{anolis_release}%{?dist}
Summary:        Practical Extraction and Report Language
Url:            https://www.perl.org/
Source0:        https://www.cpan.org/src/5.0/perl-%{perl_version}.tar.xz

Source1:        macros.perl

# Define SONAME for libperl.so
Patch1:         perl-5.16.3-create_libperl_soname.patch

BuildRequires:  bash
BuildRequires:  bzip2-devel
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  glibc-common
BuildRequires:  libdb-devel
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  sed
BuildRequires:  tar
BuildRequires:  zlib-devel


# compat macro needed for rebuild
%global perl_compat perl(:MODULE_COMPAT_5.34.0)

Requires:       %perl_compat
Requires:       perl-interpreter%{?_isa} = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl-libs%{?_isa} = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl-devel%{?_isa} = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl-macros
Requires:       perl-utils
Requires:       perl-Archive-Tar, perl-Attribute-Handlers, perl-autodie,
Requires:       perl-AutoLoader, perl-AutoSplit, perl-autouse,
Requires:       perl-B, perl-base, perl-Benchmark, perl-bignum, perl-blib,
Requires:       perl-Carp, perl-Class-Struct,
Requires:       perl-Compress-Raw-Bzip2, perl-Compress-Raw-Zlib,
Requires:       perl-Config-Extensions, perl-Config-Perl-V, perl-constant,
Requires:       perl-CPAN, perl-CPAN-Meta, perl-CPAN-Meta-Requirements,
Requires:       perl-CPAN-Meta-YAML,
Requires:       perl-Data-Dumper, perl-DB_File, perl-DBM_Filter,
Requires:       perl-debugger, perl-deprecate,
Requires:       perl-Devel-Peek, perl-Devel-PPPort, perl-Devel-SelfStubber,
Requires:       perl-diagnostics, perl-Digest, perl-Digest-MD5, perl-Digest-SHA,
Requires:       perl-DirHandle,
Requires:       perl-doc,
Requires:       perl-Dumpvalue,
Requires:       perl-DynaLoader,
Requires:       perl-Encode, perl-Encode-devel, perl-encoding,
Requires:       perl-encoding-warnings, perl-English,
Requires:       perl-Env, perl-Errno, perl-experimental, perl-Exporter,
Requires:       perl-ExtUtils-CBuilder, perl-ExtUtils-Constant,
Requires:       perl-ExtUtils-Command,
Requires:       perl-ExtUtils-Embed, perl-ExtUtils-Install,
Requires:       perl-ExtUtils-MakeMaker, perl-ExtUtils-Manifest,
Requires:       perl-ExtUtils-Miniperl, perl-ExtUtils-MM-Utils,
Requires:       perl-ExtUtils-ParseXS,
Requires:       perl-Fcntl, perl-fields,
Requires:       perl-File-Basename, perl-File-Compare, perl-File-Copy,
Requires:       perl-File-DosGlob, perl-File-Fetch,
Requires:       perl-File-Find, perl-File-Path, perl-File-stat, perl-File-Temp,
Requires:       perl-FileCache, perl-FileHandle, perl-filetest,
Requires:       perl-Filter, perl-Filter-Simple,
Requires:       perl-FindBin,
Requires:       perl-Getopt-Long, perl-Getopt-Std,
Requires:       perl-Hash-Util, perl-Hash-Util-FieldHash, perl-HTTP-Tiny,
Requires:       perl-if, perl-IO, perl-IO-Compress, perl-IO-Socket-IP,
Requires:       perl-IO-Zlib, perl-IPC-Cmd, perl-IPC-Open3, perl-IPC-SysV,
Requires:       perl-I18N-Collate, perl-I18N-Langinfo, perl-I18N-LangTags,
Requires:       perl-JSON-PP,
Requires:       perl-less,
Requires:       perl-lib, perl-libnet, perl-libnetcfg,
Requires:       perl-locale, perl-Locale-Maketext, perl-Locale-Maketext-Simple,
Requires:       perl-Math-BigInt, perl-Math-BigInt-FastCalc, perl-Math-BigRat,
Requires:       perl-Math-Complex, perl-Memoize, perl-meta-notation,
Requires:       perl-MIME-Base64,
Requires:       perl-Module-CoreList, perl-Module-CoreList-tools,
Requires:       perl-Module-Load, perl-Module-Load-Conditional,
Requires:       perl-Module-Loaded, perl-Module-Metadata,
Requires:       perl-mro,
Requires:       perl-Net, perl-Net-Ping, perl-NEXT,
Requires:       perl-Opcode, perl-open, perl-overload, perl-overloading,
Requires:       perl-parent, perl-PathTools, perl-Params-Check, perl-perlfaq,
Requires:       perl-PerlIO-via-QuotedPrint, perl-Perl-OSType,
Requires:       perl-ph,
Requires:       perl-Pod-Checker, perl-Pod-Escapes, perl-Pod-Functions,
Requires:       perl-Pod-Html, perl-Pod-Perldoc,
Requires:       perl-Pod-Simple, perl-Pod-Usage, perl-podlators, perl-POSIX,
Requires:       perl-Safe, perl-Scalar-List-Utils,
Requires:       perl-Search-Dict, perl-SelectSaver,
Requires:       perl-SelfLoader, perl-sigtrap, perl-Socket, perl-sort,
Requires:       perl-Storable,
Requires:       perl-subs,
Requires:       perl-Symbol, perl-Sys-Hostname, perl-Sys-Syslog,
Requires:       perl-Term-ANSIColor, perl-Term-Cap, perl-Term-Complete,
Requires:       perl-Term-ReadLine,
Requires:       perl-Test, perl-Test-Harness, perl-Test-Simple,
Requires:       perl-Text-Abbrev, perl-Text-Balanced, perl-Text-ParseWords,
Requires:       perl-Text-Tabs+Wrap,
Requires:       perl-Thread, perl-Thread-Queue, perl-Thread-Semaphore,
Requires:       perl-threads, perl-threads-shared,
Requires:       perl-Tie, perl-Tie-File, perl-Tie-Memoize, perl-Tie-RefHash,
Requires:       perl-Time, perl-Time-HiRes, perl-Time-Local, perl-Time-Piece,
Requires:       perl-Unicode-Collate, perl-Unicode-Normalize, perl-Unicode-UCD,
Requires:       perl-User-pwent,
Requires:       perl-vars, perl-version, perl-vmsish,

Provides:       perl-core = %{perl_version}-%{release}
Provides:       perl-core%{?_isa} = %{perl_version}-%{release}

Obsoletes:      perl-core < 5.26.0-395


%description
Perl is a high-level programming language with roots in C, sed, awk and shell
scripting. Perl is good at handling processes and files, and is especially
good at handling text. Perl's hallmarks are practicality and efficiency.
While it is used to do a lot of different things, Perl's most common
applications are system administration utilities and web programming.

This is a metapackage with all the Perl bits and core modules that can be
found in the upstream tarball from perl.org.

If you need only a specific feature, you can install a specific package
instead. E.g. to handle Perl scripts with %{_bindir}/perl interpreter,
install perl-interpreter package. See perl-interpreter description for more
details on the Perl decomposition into packages.


%package interpreter
Summary:        Standalone executable Perl interpreter
License:        GPL+ or Artistic
Version:        %{perl_version}
Epoch:          %{perl_epoch}

Requires:       perl-libs%{?_isa} = %{perl_epoch}:%{perl_version}-%{release}
# Require this till perl-interpreter sub-package provides any modules
Requires:       %perl_compat
Suggests:       perl-doc = %{perl_version}-%{release}

Requires(post): perl-libs

Obsoletes:      perl-suidperl <= 4:5.12.2
Obsoletes:      perl < 4:5.26.0-395

%description interpreter
This is a Perl interpreter as a standalone executable %{_bindir}/perl
required for handling Perl scripts. It does not provide all the other Perl
modules or tools.

Install this package if you want to program in Perl or enable your system to
handle Perl scripts with %{_bindir}/perl interpreter.

If your script requires some Perl modules, you can install them with
"perl(MODULE)" where "MODULE" is a name of required module. E.g. install
"perl(Test::More)" to make Test::More Perl module available.

If you need all the Perl modules that come with upstream Perl sources, so
called core modules, install perl package.

If you only need perl run-time as a shared library, i.e. Perl interpreter
embedded into another application, the only essential package is perl-libs.

Perl header files can be found in perl-devel package.

Perl utils like "h2ph" or "perlbug" can be found in perl-utils package.

Perl debugger, usually invoked with "perl -d", is available in perl-debugger
package.


%package libs
Summary:        The libraries for the perl run-time
License:        (GPL+ or Artistic) and BSD and HSRL and MIT and UCD and Public domain
# Compat provides
Provides:       %perl_compat
Provides:       perl(:VERSION) = %{perl_version}
Provides:       perl(:WITH_64BIT)
Provides:       perl(:WITH_ITHREADS)
Provides:       perl(:WITH_THREADS)
Provides:       perl(:WITH_LARGEFILES)
Provides:       perl(:WITH_PERLIO)
Provides:       perl(bytes_heavy.pl)
Provides:       perl(unicore::Name)
Provides:       perl(utf8_heavy.pl)
Suggests:       perl(DB_File)
Requires:       perl(DynaLoader)
Requires:       perl(Encode)
Requires:       perl(File::Spec)

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((charnames|DynaLoader)\\)$

%description libs
The is a perl run-time (interpreter as a shared library and include
directories).


%package devel
Summary:        Header files for use in perl development
License:        (GPL+ or Artistic) and UCD
Requires:       perl(ExtUtils::ParseXS)
Requires:       %perl_compat
Requires:       perl-libs%{?_isa} = %{perl_epoch}:%{perl_version}-%{release}
Recommends:     perl-doc = %{perl_version}-%{release}
Requires:       perl(Devel::PPPort)
Requires:       system-rpm-config
Requires:       libxcrypt-devel%{?_isa}

%description devel
This package contains header files and development modules.
Most perl packages will need to install perl-devel to build.


%package macros
Summary:        Macros for rpmbuild
License:        GPL+ or Artistic
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl-interpreter

%description macros
RPM macros that are handy when building binary RPM packages.


%package tests
Summary:        The Perl test suite
License:        GPL+ or Artistic
AutoReqProv:    0
Requires:       %perl_compat
Requires:       perl

%description tests
This package contains the test suite included with Perl %{perl_version}.

Install this if you want to test your Perl installation (binary and core
modules).


%package utils
Summary:        Utilities packaged with the Perl distribution
License:        GPL+ or Artistic
Epoch:          0
Version:        %{perl_version}
BuildArch:      noarch
Requires:       perl-libs = %{perl_epoch}:%{perl_version}-%{release}
Conflicts:      perl < 4:5.22.0-351

%description utils
Several utilities which come with Perl distribution like h2ph, perlbug,
perlthanks, and pl2pm. Some utilities are provided by more specific
packages like perldoc by perl-Pod-Perldoc and splain by perl-diagnostics.


%package Attribute-Handlers
Summary:        Simpler definition of attribute handlers
License:        GPL+ or Artistic
Epoch:          0
Version:        1.01
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.22.0-351

%description Attribute-Handlers
This Perl module, when inherited by a package, allows that package's class to
define attribute handler subroutines for specific attributes. Variables and
subroutines subsequently defined in that package, or in packages derived from
that package may be given attributes with the same names as the attribute
handler subroutines, which will then be called in one of the compilation
phases (i.e. in a "BEGIN", "CHECK", "INIT", or "END" block).


%package AutoLoader
Summary:        Load subroutines only on demand
License:        GPL+ or Artistic
Epoch:          0
Version:        5.74
BuildArch:      noarch
Requires:       perl(Carp)
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description AutoLoader
The AutoLoader module works with the AutoSplit module and the "__END__" token
to defer the loading of some subroutines until they are used rather than
loading them all at once.

%package AutoSplit
Summary:        Split a package for automatic loading
License:        GPL+ or Artistic
Epoch:          0
Version:        5.74
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl < 4:5.30.1-451

%description AutoSplit
Split up your program into files that the AutoLoader module can handle. It is
used by both the standard Perl libraries and by the ExtUtils::MakeMaker
utility, to automatically configure libraries for automatic loading.

%package autouse
Summary:        Postpone load of modules until a function is used
License:        GPL+ or Artistic
Epoch:          0
Version:        1.11
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(warnings)
Conflicts:      perl < 4:5.30.1-451

%description autouse
If a module is not loaded yet, then the autouse declaration declares functions
in the current package. When these functions are called, they load the package
and substitute themselves with the correct definitions.

%package B
Summary:        Perl compiler backend
License:        GPL+ or Artistic
Epoch:          0
Version:        1.82
Requires:       %perl_compat
Requires:       perl(Data::Dumper)
Requires:       perl(overloading)
Requires:       perl(XSLoader)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description B
The "B" module supplies classes which allow a Perl program to delve into its
own innards. It is the module used to implement the backends of the Perl
compiler.

%package base
Summary:        Establish an ISA relationship with base classes at compile time
License:        GPL+ or Artistic
Epoch:          0
Version:        2.27
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl < 4:5.30.1-451

%description base
"base" module allows you to both load one or more modules, while setting up
inheritance from those modules at the same time.  Unless you are using the
"fields" pragma, consider this module discouraged in favor of the
lighter-weight "parent".

%package Benchmark
Summary:        Benchmark running times of Perl code
License:        GPL+ or Artistic
Epoch:          0
Version:        1.23
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Benchmark
The Benchmark module encapsulates a number of routines to help you figure out
how long it takes to execute some code.


%package blib
Summary:        Use uninstalled version of a package
License:        GPL+ or Artistic
Epoch:          0
Version:        1.07
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description blib
This module looks for MakeMaker-like "blib" directory structure starting in
given or current directory and working back up to five levels of directories.
It is intended for use on command line with -M option as a way of testing
arbitrary scripts against an uninstalled version of a package.


%package Class-Struct
Summary:        Declare struct-like data types as Perl classes
License:        GPL+ or Artistic
Epoch:          0
Version:        0.66
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Class-Struct
Class::Struct module exports a single function struct(). Given a list of
element names and types, and optionally a class name, struct() creates a
Perl 5 class that implements a struct-like data structure.


%package Config-Extensions
Summary:        Hash lookup of which Perl core extensions were built
License:        GPL+ or Artistic
Epoch:          0
Version:        0.03
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Config-Extensions
The Config::Extensions module provides a hash %%Extensions containing all the
core extensions that were enabled for this perl.


%package DBM_Filter
Summary:        Filter DBM keys and values
License:        GPL+ or Artistic
Epoch:          0
Version:        0.06
Requires:       %perl_compat
Requires:       perl(Compress::Zlib)
Requires:       perl(Encode)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Tie::Hash\\)$

%description DBM_Filter
This module provides an interface that allows filters to be applied to tied
hashes associated with DBM files.

%package debugger
Summary:        Perl debugger
License:        GPL+ or Artistic
Epoch:          0
Version:        1.56
BuildArch:      noarch
Provides:       perl(dumpvar.pl) = %{perl_version}
Provides:       perl(perl5db.pl) = %{version}
Requires:       %perl_compat
Recommends:     perl(Carp)
Recommends:     perl(Config)
Requires:       perl(Cwd)
Recommends:     perl(Devel::Peek)
Requires:       perl(feature)
Recommends:     perl(IO::Handle)
Recommends:     perl(File::Basename)
Recommends:     perl(File::Path)
Requires:       perl(IO::Socket)
Requires:       perl(meta_notation) = %{perl_version}
Requires:       perl(mro)
Suggests:       perl(PadWalker) >= 0.08
Recommends:     perl(POSIX)
Requires:       perl(Term::ReadLine)
Requires:       perl(threads)
Requires:       perl(threads::shared)
Requires:       perl(vars)
Requires:       perl(warnings)
Conflicts:      perl < 4:5.30.1-451

%description debugger
This is the perl debugger. It is loaded automatically by Perl when you invoke
a script with "perl -d". There is also "DB" module contained for
a programmatic interface to the debugging API.

%package deprecate
Summary:        Perl pragma for deprecating the inclusion of a module in core
License:        GPL+ or Artistic
Epoch:          0
Version:        0.04
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(Config)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description deprecate
"deprecate" pragma simplifies the maintenance of dual-life modules that will no
longer be included in the Perl core in a future Perl release, but are
still included currently. The purpose of the pragma is to alert users to the
status of such a module by issuing a warning that encourages them to install
the module from CPAN, so that a future upgrade to a perl which omits the
module will not break their code.

%package Devel-Peek
Summary:        A data debugging tool for the XS programmer
License:        GPL+ or Artistic
Epoch:          0
Version:        1.30
Requires:       %perl_compat
Conflicts:      perl < 4:5.22.0-351

%description Devel-Peek
Devel::Peek contains functions which allows raw Perl data types to be
manipulated from a Perl script. This is used by those who do XS programming to
check that the data they are sending from C to Perl looks as they think it
should look.


%package Devel-SelfStubber
Summary:        Generate stubs for a SelfLoading module
License:        GPL+ or Artistic
Epoch:          0
Version:        1.06
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.22.0-351

%description Devel-SelfStubber
Devel::SelfStubber prints the stubs you need to put in the module before the
__DATA__ token (or you can get it to print the entire module with stubs
correctly placed). The stubs ensure that if a method is called, it will get
loaded. They are needed specifically for inherited autoloaded methods.

%package diagnostics
Summary:        Produce verbose warning diagnostics
License:        GPL+ or Artistic
Epoch:          0
Version:        1.37
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl-libs = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(Getopt::Std)
Conflicts:      perl-utils < 5.30.1-451
Conflicts:      perl-interpreter < 4:5.30.1-451

%description diagnostics
The diagnostics module extends the terse diagnostics normally emitted by both
the perl compiler and the perl interpreter (from running perl with a -w switch
or "use warnings"), augmenting them with the more explicative and endearing
descriptions found in perldiag. splain tool explains perl messages found on
standard input.


%package DirHandle
Summary:        Supply object methods for directory handles
License:        GPL+ or Artistic
Epoch:          0
Version:        1.05
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(warnings)
Conflicts:      perl < 4:5.30.1-451

%description DirHandle
There is no reason to use this module nowadays. The DirHandle module provides
an alternative interface to the opendir(), closedir(), readdir(), and
rewinddir() functions. Since Perl 5.6, opendir() alone has been all you need
for lexical handles.

%package doc
Summary:        Perl language documentation
License:        (GPL+ or Artistic) and UCD and Public Domain
Epoch:          0
Version:        %{perl_version}
BuildArch:      noarch
Requires:       %perl_compat
Recommends:     perl-Pod-Perldoc
Conflicts:      perl < 4:5.30.1-451

%description doc
This is a documentation for Perl language. It's provided in POD and manual
page format.

%package Dumpvalue
Summary:        Screen dump of Perl data
License:        GPL+ or Artistic
Epoch:          0
Version:        2.27
BuildArch:      noarch
Requires:       %perl_compat
Recommends:     perl(Devel::Peek)
Conflicts:      perl < 4:5.30.1-451

%description Dumpvalue
Dumpvalue module enables you to print a content of variables and other Perl
data structures.

%package DynaLoader
Summary:        Dynamically load C libraries into Perl code
License:        GPL+ or Artistic
Epoch:          0
Version:        1.50
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl < 4:5.30.1-451

%description DynaLoader
The DynaLoader module defines a standard generic interface to the dynamic
linking mechanisms available on many platforms. Its primary purpose is to
implement automatic dynamic loading of Perl modules. For a simpler interface,
see XSLoader module.


%package encoding-warnings
Summary:        Warn on implicit encoding conversions
License:        GPL+ or Artistic
Epoch:          0
Version:        0.13
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl < 4:5.30.1-451

%description encoding-warnings
As of Perl 5.26.0, this module has no effect. The internal Perl feature that
was used to implement this module has been removed.  Hence, if you load this
module on Perl 5.26.0, you will get one warning that the module is no longer
supported; and the module will do nothing thereafter.

%package English
Summary:        Nice English or awk names for ugly punctuation variables
License:        GPL+ or Artistic
Epoch:          0
Version:        1.11
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(warnings)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description English
This module provides aliases for the built-in variables whose names no one
seems to like to read.


%package Errno
Summary:        System errno constants
License:        GPL+ or Artistic
Epoch:          0
Version:        1.33
Requires:       %perl_compat
Requires:       perl-libs%{?_isa} = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(Carp)
Conflicts:      perl < 4:5.22.0-351

%description Errno
"Errno" defines and conditionally exports all the error constants defined in
your system "errno.h" include file. It has a single export tag, ":POSIX",
which will export all POSIX defined error numbers.


%package ExtUtils-Constant
Summary:        Generate XS code to import C header constants
License:        GPL+ or Artistic
Epoch:          0
Version:        0.25
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Data::Dumper)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description ExtUtils-Constant
ExtUtils::Constant facilitates generating C and XS wrapper code to allow
Perl modules to AUTOLOAD constants defined in C library header files.


%package ExtUtils-Embed
Summary:        Utilities for embedding Perl in C/C++ applications
License:        GPL+ or Artistic
Epoch:          0
Version:        1.35
Requires:       perl-devel
Requires:       %perl_compat
BuildArch:      noarch

%description ExtUtils-Embed
Utilities for embedding Perl in C/C++ applications.

%package ExtUtils-Miniperl
Summary:        Write the C code for perlmain.c
License:        GPL+ or Artistic
Epoch:          0
Version:        1.10
Requires:       perl-devel
Requires:       %perl_compat
BuildArch:      noarch

%description ExtUtils-Miniperl
writemain() takes an argument list of directories containing archive libraries
that relate to perl modules and should be linked into a new perl binary. It
writes a corresponding perlmain.c file that is a plain C file containing all
the bootstrap code to make the If the first argument to writemain() is a
reference to a scalar it is used as the file name to open for output. Any other
reference is used as the file handle to write to. Otherwise output defaults to
STDOUT.


%package Fcntl
Summary:        File operation options
License:        GPL+ or Artistic
Epoch:          0
Version:        1.14
Requires:       %perl_compat
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Fcntl
Fcntl module provides file operation related options.

%package fields
Summary:        Compile-time class fields
License:        GPL+ or Artistic
Epoch:          0
Version:        2.27
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(base)
Requires:       perl(Carp)
Requires:       perl(Hash::Util)
Conflicts:      perl < 4:5.30.1-451

%description fields
The "fields" pragma enables compile-time and run-time verified class fields.

%package File-Basename
Summary:        Parse file paths into directory, file name, and suffix
License:        GPL+ or Artistic
Epoch:          0
Version:        2.85
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(re)
Conflicts:      perl < 4:5.30.1-451

%description File-Basename
These routines allow you to parse file paths into their directory, file name,
and suffix.

%package File-Compare
Summary:        Compare files or file handles
License:        GPL+ or Artistic
Epoch:          0
Version:        1.100.600
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl < 4:5.30.1-451

%description File-Compare
A File::Compare Perl module provides functions for comparing a content of two
files specified by a file name or a file handle.

%package File-Copy
Summary:        Copy files or file handles
License:        GPL+ or Artistic
Epoch:          0
Version:        2.35
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(File::Basename)
Conflicts:      perl < 4:5.30.1-451

%description File-Copy
A File::Copy module provides two basic functions, copy and move, which are
useful for getting the contents of a file from one place to another.

%package File-DosGlob
Summary:        DOS-like globbing
License:        GPL+ or Artistic
Epoch:          0
Version:        1.12
Requires:       %perl_compat
Requires:       perl(Text::ParseWords)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description File-DosGlob
This Perl module implements DOS-like globbing with a few enhancements. It
is largely compatible with perlglob.exe in all but one respect--it understands
wild cards in directory components.


%package File-Find
Summary:        Traverse a directory tree
License:        GPL+ or Artistic
Epoch:          0
Version:        1.39
Requires:       %perl_compat
Recommends:     perl(Scalar::Util)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description File-Find
These are functions for searching through directory trees doing work on each
file found similar to the Unix find command.


%package File-stat
Summary:        By-name interface to Perl built-in stat functions
License:        GPL+ or Artistic
Epoch:          0
Version:        1.09
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Symbol)
Conflicts:      perl < 4:5.30.1-451

%description File-stat
This module overrides the core stat() and lstat() functions, replacing them
with versions that return File::stat objects. This object has methods that
return the similarly named structure field name from the stat(2) function.


%package FileCache
Summary:        Keep more files open than the system permits
License:        GPL+ or Artistic
Epoch:          0
Version:        1.10
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl-interpreter < 4:5.30.1-451

%description FileCache
The "cacheout" function will make sure that there's a file handle open
for reading or writing available as the path name you give it. It
automatically closes and re-opens files if you exceed your system
maximum number of file descriptors, or the suggested maximum.

%package FileHandle
Summary:        Object methods for file handles
License:        GPL+ or Artistic
Epoch:          0
Version:        2.03
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Exporter)
Recommends:     perl(Fcntl)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description FileHandle
This is an object-oriented interface for opening files and performing
input/output operations on them.

%package filetest
Summary:        Perl pragma to control the filetest permission operators
License:        GPL+ or Artistic
Epoch:          0
Version:        1.03
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description filetest
The default behavior of file test operators (e.g. "-r") is to use the simple
mode bits as returned by the stat() family of system calls. However, many
operating systems have additional features to define more complex access
rights, for example ACLs (Access Control Lists). For such environments, "use
filetest" may help the permission operators to return results more consistent
with other tools.


%package FindBin
Summary:        Locate a directory of an original Perl script
License:        GPL+ or Artistic
Epoch:          0
Version:        1.52
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description FindBin
Locates the full path to the script bin directory to allow the use of paths
relative to the bin directory.

%package Getopt-Std
Summary:        Process single-character switches with switch clustering
License:        GPL+ or Artistic
Epoch:          0
Version:        1.13
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Getopt-Std
The Getopt::Std module provides functions for processing single-character
switches with switch clustering. Pass one argument which is a string
containing all switches to be recognized.

%package Hash-Util
Summary:        General-utility hash subroutines
License:        GPL+ or Artistic
Epoch:          0
Version:        0.25
Requires:       %perl_compat
Requires:       perl(Hash::Util::FieldHash)
Requires:       perl(XSLoader)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Hash-Util
Hash::Util contains special functions for manipulating hashes that don't
really warrant a keyword.

%package Hash-Util-FieldHash
Summary:        Support for inside-out classes
License:        GPL+ or Artistic
Epoch:          0
Version:        1.21
Requires:       %perl_compat
Requires:       perl(XSLoader)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Hash-Util-FieldHash
Hash::Util::FieldHash offers a number of functions in support of the
inside-out technique of class construction.

%package if
Summary:        Use a Perl module if a condition holds
License:        GPL+ or Artistic
Epoch:          0
Version:        0.60.900
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description if
The "if" module is used to conditionally load another module.

%package IO
Summary:        Perl input/output modules
License:        GPL+ or Artistic
Epoch:          0
Version:        1.46
Requires:       %perl_compat
Conflicts:      perl < 4:5.22.0-351

%description IO
This is a collection of Perl input/output modules.


%package IPC-Open3
Summary:        Open a process for reading, writing, and error handling
License:        GPL+ or Artistic
Epoch:          0
Version:        1.21
Requires:       %perl_compat
Requires:       perl(Fcntl)
Requires:       perl(IO::Pipe)
Requires:       perl(POSIX)
Requires:       perl(warnings)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description IPC-Open3
These are functions that spawn a given command and connects the standard
output of the command for reading, standard output for writing, and standard
error output for handling the errors.


%package I18N-Collate
Summary:        Compare 8-bit scalar data according to the current locale
License:        GPL+ or Artistic
Epoch:          0
Version:        1.02
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description I18N-Collate
This module provides you with objects that will collate according to your
national character set. This module is deprecated. See the perllocale manual
page for further information.

%package I18N-Langinfo
Summary:        Query locale information
License:        GPL+ or Artistic
Epoch:          0
Version:        0.19
Requires:       %perl_compat
Conflicts:      perl-interpreter < 4:5.30.1-451

%description I18N-Langinfo
The langinfo() function queries various locale information that can be used to
localize output and user interfaces. It uses the current underlying locale,
regardless of whether or not it was called from within the scope of "use
locale".

%package I18N-LangTags
Summary:        Functions for dealing with RFC 3066 language tags
License:        GPL+ or Artistic
Epoch:          0
Version:        0.45
Requires:       %perl_compat
Requires:       perl(integer)
Requires:       perl(warnings)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description I18N-LangTags
Language tags are a formalism, described in RFC 3066, for declaring what
language form (language and possibly dialect) a given chunk of information is
in. This library provides functions for common tasks involving language tags
as they are needed in a variety of protocols and applications.


%package less
Summary:        Perl pragma to request less of something
License:        GPL+ or Artistic
Epoch:          0
Version:        0.03
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description less
"use less ...;" is a Perl user-pragma. If you're very lucky some code you're
using will know that you asked for less CPU usage or RAM or fat or... we just
can't know.

%package lib
Summary:        Manipulate @INC at compile time
License:        GPL+ or Artistic
Epoch:          0
Version:        0.65
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description lib
This module simplifies the manipulation of @INC at compile time.


%package libnetcfg
Summary:        Configure libnet
License:        GPL+ or Artistic
Epoch:          %perl_epoch
Version:        %perl_version
BuildArch:      noarch
Conflicts:      perl-devel < 4:5.22.0-347

%description libnetcfg
The libnetcfg utility can be used to configure the libnet.

%package locale
Summary:        Pragma to use or avoid POSIX locales for built-in operations
License:        GPL+ or Artistic
Epoch:          0
Version:        1.10
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(POSIX)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description locale
This pragma tells the compiler to enable (or disable) the use of POSIX locales
for built-in operations (for example, LC_CTYPE for regular expressions,
LC_COLLATE for string comparison, and LC_NUMERIC for number formatting). Each
"use locale" or "no locale" affects statements to the end of the enclosing
block.


%package Locale-Maketext-Simple
Summary:        Simple interface to Locale::Maketext::Lexicon
License:        MIT
Epoch:          1
Version:        0.21
Requires:       %perl_compat
BuildArch:      noarch

%description Locale-Maketext-Simple
This module is a simple wrapper around Locale::Maketext::Lexicon, designed
to alleviate the need of creating Language Classes for module authors.


%package Math-Complex
Summary:        Complex numbers and trigonometric functions
License:        GPL+ or Artistic
Epoch:          0
Version:        1.59
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl < 4:5.22.0-348

%description Math-Complex
This package lets you create and manipulate complex numbers. By default, Perl
limits itself to real numbers, but an extra "use" statement brings full
complex support, along with a full set of mathematical functions typically
associated with and/or extended to complex numbers.

%package Memoize
Summary:        Transparently speed up functions by caching return values
License:        GPL+ or Artistic
Epoch:          0
Version:        1.03
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl < 4:5.22.0-350

%description Memoize
Memoizing a function makes it faster by trading space for time. It does
this by caching the return values of the function in a table. If you call
the function again with the same arguments, memoize jumps in and gives
you the value out of the table, instead of letting the function compute
the value all over again.

%package meta-notation
Summary:        Change nonprintable characters below 0x100 into printables
License:        GPL+ or Artistic
Epoch:          0
Version:        %{perl_version}
BuildArch:      noarch
Provides:       perl(meta_notation) = %{perl_version}
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description meta-notation
Returns a copy of the input string with the nonprintable characters below
0x100 changed into printables. Any ASCII printables or above 0xFF are
unchanged.


%package Module-Loaded
Summary:        Mark modules as loaded or unloaded
License:        GPL+ or Artistic
Epoch:          1
Version:        0.08
Requires:       %perl_compat
BuildArch:      noarch

%description Module-Loaded
When testing applications, often you find yourself needing to provide
functionality in your test environment that would usually be provided by
external modules. Rather than munging the %%INC by hand to mark these external
modules as loaded, so they are not attempted to be loaded by perl, this module
offers you a very simple way to mark modules as loaded and/or unloaded.

%package mro
Summary:        Method resolution order
License:        GPL+ or Artistic
Epoch:          0
Version:        1.25
Requires:       %perl_compat
Conflicts:      perl-interpreter < 4:5.30.1-451

%description mro
The "mro" name space provides several utilities for dealing with method
resolution order and method caching in general.

%package Net
Summary:        By-name interface to Perl built-in network resolver
License:        GPL+ or Artistic
Epoch:          0
Version:        1.02
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Socket)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Net
This package provide object-oriented interface to Perl built-in gethost*(),
getnet*(), getproto*(), and getserv*() functions.


%package NEXT
Summary:        Pseudo-class that allows method redispatch
License:        GPL+ or Artistic
Epoch:          0
Version:        0.68
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description NEXT
The NEXT module adds a pseudo-class named "NEXT" to any program that uses it.
If a method "m" calls "$self->NEXT::m()", the call to "m" is redispatched as
if the calling method had not originally been found.

%package Opcode
Summary:        Disable named opcodes when compiling a perl code
License:        GPL+ or Artistic
Epoch:          0
Version:        1.50
Requires:       %perl_compat
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Opcode
The Opcode module allows you to define an operator mask to be in effect when
perl next compiles any code. Attempting to compile code which contains
a masked opcode will cause the compilation to fail with an error. The code
will not be executed.

%package open
Summary:        Perl pragma to set default PerlIO layers for input and output
License:        GPL+ or Artistic
Epoch:          0
Version:        1.12
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(Encode)
Requires:       perl(encoding)
Conflicts:      perl < 4:5.20.2-326
BuildArch:      noarch

%description open
The "open" pragma serves as one of the interfaces to declare default "layers"
(also known as "disciplines") for all I/O.

%package overload
Summary:        Overloading Perl operations
License:        GPL+ or Artistic
Epoch:          0
Version:        1.33
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(mro)
Requires:       perl(Scalar::Util)
Requires:       perl(overloading)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description overload
The "overload" pragma allows overloading of Perl operators for a class. To
overload built-in functions, see "Overriding Built-in Functions" in perlsub
POD instead.

%package overloading
Summary:        Perl pragma to lexically control overloading
License:        GPL+ or Artistic
Epoch:          0
Version:        0.02
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description overloading
Overloading pragma allows you to lexically disable or enable overloading.


%package ph
Summary:        Selected system header files converted to Perl headers
License:        GPL+ or Artistic
Epoch:          0
Version:        %{perl_version}
Requires:       %perl_compat
Requires:       perl-libs%{?_isa} = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(warnings)
Provides:       perl(sys/ioctl.ph) = %{perl_version}
Provides:       perl(sys/syscall.ph) = %{perl_version}
Provides:       perl(syscall.ph) = %{perl_version}
Conflicts:      perl < 4:5.30.1-451

%description ph
Contemporary Perl still refers to some Perl header (ph) files although it does
not build them anymore. This is a prebuilt collection of the referred files.
If you miss other ones, you can generate them with h2ph tool from perl-utils
package.

%package Pod-Functions
Summary:        Group Perl functions as in perlfunc POD
License:        GPL+ or Artistic
Epoch:          0
Version:        1.13
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl-libs = %{perl_epoch}:%{perl_version}-%{release}
Conflicts:      perl < 4:5.30.1-451

%description Pod-Functions
This module enumerates the Perl functions that are documented in perlfunc POD.

%package Pod-Html
Summary:        Convert POD files to HTML
License:        GPL+ or Artistic
Epoch:          0
Version:        1.27
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl < 4:5.22.0-350

%description Pod-Html
This package converts files from POD format (see perlpod) to HTML format. It
can automatically generate indexes and cross-references, and it keeps a cache
of things it knows how to cross-reference.


%package POSIX
Summary:        Perl interface to IEEE Std 1003.1
License:        GPL+ or Artistic
Epoch:          0
Version:        1.97
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description POSIX
The POSIX module permits you to access all (or nearly all) the standard POSIX
1003.1 identifiers. Many of these identifiers have been given Perl interfaces.

%package Safe
Summary:        Compile and execute code in restricted compartments
License:        GPL+ or Artistic
Epoch:          0
Version:        2.43
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Safe
The Safe extension module allows the creation of compartments in which Perl
code can be evaluated. Please note that the restriction is not suitable for
security purposes.


%package Search-Dict
Summary:        Search for a key in a dictionary file
License:        GPL+ or Artistic
Epoch:          0
Version:        1.07
Requires:       %perl_compat
Requires:       perl(feature)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Search-Dict
This module sets file position in a file handle to be first line greater than
or equal (string-wise) to a key.

%package SelectSaver
Summary:        Save and restore selected file handle
License:        GPL+ or Artistic
Epoch:          0
Version:        1.02
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description SelectSaver
A "SelectSaver" object contains a reference to the file handle that was
selected when it was created. When the object is destroyed, it re-selects the
file handle that was selected when it was created.

%package SelfLoader
Summary:        Load functions only on demand
License:        GPL+ or Artistic
Epoch:          0
Version:        1.26
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl < 4:5.22.0-351

%description SelfLoader
This Perl module tells its users that functions in a package are to be
autoloaded from after the "__DATA__" token. See also "Autoloading" in
perlsub.

%package sigtrap
Summary:        Perl pragma to enable simple signal handling
License:        GPL+ or Artistic
Epoch:          0
Version:        1.09
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(meta_notation) = %{perl_version}
Requires:       perl(Symbol)
Conflicts:      perl < 4:5.30.1-451

%description sigtrap
The sigtrap pragma is a simple interface for installing signal handlers.


%package sort
Summary:        Perl pragma to control sort() behavior
License:        GPL+ or Artistic
Epoch:          0
Version:        2.04
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(warnings)
Conflicts:      perl < 4:5.30.1-451

%description sort
With the "sort" pragma you can control the behavior of the builtin "sort()"
function.


%package subs
Summary:        Perl pragma to predeclare subroutine names
License:        GPL+ or Artistic
Epoch:          0
Version:        1.04
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description subs
This will predeclare all the subroutines whose names are in the list,
allowing you to use them without parentheses (as list operators) even
before they're declared.

%package Symbol
Summary:        Manipulate Perl symbols and their names
License:        GPL+ or Artistic
Epoch:          0
Version:        1.09
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description Symbol
The Symbol module provides functions for manipulating Perl symbols.

%package Sys-Hostname
Summary:        Try every conceivable way to get a hostname
License:        GPL+ or Artistic
Epoch:          0
Version:        1.23
Requires:       %perl_compat
Suggests:       perl(POSIX)
Requires:       perl(XSLoader)
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Sys-Hostname
It attempts several methods of getting the system hostname and then caches the
result.

%package Term-Complete
Summary:        Perl word completion
License:        GPL+ or Artistic
Epoch:          0
Version:        1.403
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Term-Complete
"Complete" routine provides word completion on a list of words in the array.

%package Term-ReadLine
Summary:        Perl interface to various read-line packages
License:        GPL+ or Artistic
Epoch:          0
Version:        1.17
Requires:       %perl_compat
Requires:       perl(Term::Cap)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Term-ReadLine
This package is just a front end to some other packages. It's a stub to
set up a common interface to the various read-line implementations found
on CPAN (under the "Term::ReadLine::*" name space).

%package Test
Summary:        Simple framework for writing test scripts
License:        GPL+ or Artistic
Epoch:          0
Version:        1.31
Requires:       %perl_compat
Requires:       perl(File::Temp)
BuildArch:      noarch
Conflicts:      perl < 4:5.22.0-351

%description Test
The Test Perl module simplifies the task of writing test files for Perl modules,
such that their output is in the format that Test::Harness expects to see.


%package Text-Abbrev
Summary:        Create an abbreviation table from a list
License:        GPL+ or Artistic
Epoch:          0
Version:        1.02
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Text-Abbrev
It stores all unambiguous truncations of each element of a list as keys in
an associative array. The values are the original list elements.


%package Thread
Summary:        Manipulate threads in Perl (for old code only)
License:        GPL+ or Artistic
Epoch:          0
Version:        3.05
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description Thread
This Thread module served as the front end to the old-style thread model,
called 5005threads, that has been removed in version 5.10.

For old code and interim backwards compatibility, the Thread module has been
reworked to function as a front end for the new interpreter threads (ithreads)
model. However, some previous functionality is not available. Further, the
data sharing models between the two thread models are completely different,
and anything to do with data sharing has to be thought differently.

You are strongly encouraged to migrate any existing threaded code to the new
model (i.e., use the threads and threads::shared modules) as soon as possible.


%package Tie
Summary:        Base classes for tying variables
License:        GPL+ or Artistic
Epoch:          0
Version:        4.6
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description Tie
These are Perl modules that helps connecting classes with arrays, hashes,
handles, and scalars.

%package Tie-File
Summary:        Access the lines of a disk file via a Perl array
License:        GPLv2+ or Artistic
Epoch:          0
Version:        1.06
Requires:       %perl_compat
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Tie-File
Tie::File represents a regular text file as a Perl array. Each element in the
array corresponds to a record in the file. The first line of the file is
element 0 of the array; the second line is element 1, and so on.  The file is
not loaded into memory, so this will work even for gigantic files.  Changes to
the array are reflected in the file immediately.

%package Tie-Memoize
Summary:        Add data to a hash when needed
License:        GPLv2+ or Artistic
Epoch:          0
Version:        1.1
Requires:       %perl_compat
Requires:       perl(Carp)
Requires:       perl(Tie::ExtraHash)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Tie-Memoize
This package allows a tied hash to load its values automatically on the first
access, and to use the cached value on the following accesses.

%package Time
Summary:        By-name interface to Perl built-in time functions
License:        GPL+ or Artistic
Epoch:          0
Version:        1.03
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Time
This package provides an object-oriented interface to Perl built-in gmtime()
and localtime () functions.

%package Time-Piece
Summary:        Time objects from localtime and gmtime
License:        (GPL+ or Artistic) and BSD
Epoch:          0
Version:        1.3401
Requires:       %perl_compat

%description Time-Piece
The Time::Piece module replaces the standard localtime and gmtime functions
with implementations that return objects.  It does so in a backwards compatible
manner, so that using localtime or gmtime as documented in perlfunc still
behave as expected.

%package Thread-Semaphore
Summary:        Thread-safe semaphores
License:        GPL+ or Artistic
Epoch:          0
Version:        2.13
Requires:       %perl_compat
Requires:       perl(Carp)
BuildArch:      noarch
Conflicts:      perl-interpreter < 4:5.30.1-451

%description Thread-Semaphore
Semaphores provide a mechanism to regulate access to resources. Unlike locks,
semaphores aren't tied to particular scalars, and so may be used to control
access to anything you care to use them for. Semaphores don't limit their
values to zero and one, so they can be used to control access to some resource
that there may be more than one of (e.g., file handles). Increment and
decrement amounts aren't fixed at one either, so threads can reserve or return
multiple resources at once.


%package Unicode-UCD
Summary:        Unicode character database
License:        GPL+ or Artistic
Epoch:          0
Version:        0.75
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Storable)
Conflicts:      perl < 4:5.30.1-451

%description Unicode-UCD
The Unicode::UCD module offers a series of functions that provide a simple
interface to the Unicode Character Database.

%package User-pwent
Summary:        By-name interface to Perl built-in user name resolver
License:        GPL+ or Artistic
Epoch:          0
Version:        1.03
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl-interpreter < 4:5.30.1-451

%description User-pwent
This package provides an object-oriented interface to Perl build-in getgr*()
and getpw*() functions.

%package vars
Summary:        Perl pragma to predeclare global variable names
License:        GPL+ or Artistic
Epoch:          0
Version:        1.05
BuildArch:      noarch
Requires:       %perl_compat
Requires:       perl(Carp)
Conflicts:      perl < 4:5.30.1-451

%description vars
This pragma will predeclare all the variables whose names are in the
list, allowing you to use them under "use strict", and disabling any
typo warnings for them.

For use with variables in the current package for a single scope, the
functionality provided by this pragma has been superseded by "our"
declarations, available in Perl v5.6.0 or later, and use of this pragma is
discouraged.


%package vmsish
Summary:        Perl pragma to control VMS-specific language features
License:        GPL+ or Artistic
Epoch:          0
Version:        1.04
BuildArch:      noarch
Requires:       %perl_compat
Conflicts:      perl < 4:5.30.1-451

%description vmsish
The "vmsish" pragma control VMS-specific features of the Perl language. If
you're not running VMS, this module does nothing.

%prep
%setup -q -n perl-%{perl_version}

%patch1 -p1

#
recode()
{
        iconv -f "${2:-iso-8859-1}" -t utf-8 < "$1" > "${1}_"
        touch -r "$1" "${1}_"
        mv -f "${1}_" "$1"
}
##recode README.tw big5
#recode pod/perlebcdic.pod
#recode pod/perlhack.pod
#recode pod/perlhist.pod
#recode pod/perlthrtut.pod
#recode AUTHORS

find . -name \*.orig -exec rm -fv {} \;

sed -i 's|BUILD_ZLIB      = True|BUILD_ZLIB      = False|
    s|INCLUDE         = ./zlib-src|INCLUDE         = %{_includedir}|
    s|LIB             = ./zlib-src|LIB             = %{_libdir}|' \
    cpan/Compress-Raw-Zlib/config.in

rm -rf cpan/Compress-Raw-Zlib/zlib-src
rm -rf cpan/Compress-Raw-Bzip2/bzip2-src
sed -i '/\(bzip2\|zlib\)-src/d' MANIFEST

%build
echo "RPM Build arch: %{_arch}"

%global privlib     %{_prefix}/share/perl5
%global archlib     %{_libdir}/perl5

%global perl_vendorlib  %{privlib}/vendor_perl
%global perl_vendorarch %{archlib}/vendor_perl

%global perl_abi    %(echo '%{perl_version}' | sed 's/^\\([^.]*\\.[^.]*\\).*/\\1/')

/bin/sh Configure -des \
        -Doptimize="none" \
        -Dccflags="$RPM_OPT_FLAGS" \
        -Dldflags="$RPM_LD_FLAGS" \
        -Dccdlflags="-Wl,--enable-new-dtags $RPM_LD_FLAGS" \
        -Dlddlflags="-shared $RPM_LD_FLAGS" \
        -Dshrpdir="%{_libdir}" \
        -DDEBUGGING=-g \
        -Dversion=%{perl_version} \
        -Dmyhostname=localhost \
        -Dperladmin=root@localhost \
        -Dcc='%{__cc}' \
        -Dcf_by='OpenAnolis' \
        -Dprefix=%{_prefix} \
        -Dvendorprefix=%{_prefix} \
        -Dsiteprefix=%{_prefix}/local \
        -Dsitelib="%{_prefix}/local/share/perl5/%{perl_abi}" \
        -Dsitearch="%{_prefix}/local/%{_lib}/perl5/%{perl_abi}" \
        -Dprivlib="%{privlib}" \
        -Dvendorlib="%{perl_vendorlib}" \
        -Darchlib="%{archlib}" \
        -Dvendorarch="%{perl_vendorarch}" \
        -Duseshrplib \
        -Dusethreads \
        -Duseithreads \
        -Uusedtrace \
        -Duselargefiles \
        -Dd_semctl_semun \
        -Di_db \
        -Di_shadow \
        -Di_syslog \
        -Dman3ext=3pm \
        -Duseperlio \
        -Dinstallusrbinperl=n \
        -Ubincompat5005 \
        -Uversiononly \
        -Dpager='/usr/bin/less -isr' \
        -Dd_gethostent_r_proto -Ud_endhostent_r_proto -Ud_sethostent_r_proto \
        -Ud_endprotoent_r_proto -Ud_setprotoent_r_proto \
        -Ud_endservent_r_proto -Ud_setservent_r_proto \
        -Dscriptdir='%{_bindir}' \
        -Dusesitecustomize \
        -Duse64bitint


BUILD_BZIP2=0
BZIP2_LIB=%{_libdir}
export BUILD_BZIP2 BZIP2_LIB

%global soname libperl.so.%{perl_abi}
test -L %soname || ln -s libperl.so %soname

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%global build_archlib $RPM_BUILD_ROOT%{archlib}
%global build_privlib $RPM_BUILD_ROOT%{privlib}
%global build_bindir  $RPM_BUILD_ROOT%{_bindir}
%global new_perl LD_PRELOAD="%{build_archlib}/CORE/libperl.so" \\\
    LD_LIBRARY_PATH="%{build_archlib}/CORE" \\\
    PERL5LIB="%{build_archlib}:%{build_privlib}" \\\
    %{build_bindir}/perl

mv "%{build_archlib}/CORE/libperl.so" \
    "$RPM_BUILD_ROOT%{_libdir}/libperl.so.%{perl_version}"
ln -s "libperl.so.%{perl_version}" "$RPM_BUILD_ROOT%{_libdir}/%{soname}"
ln -s "libperl.so.%{perl_version}" "$RPM_BUILD_ROOT%{_libdir}/libperl.so"
ln -s "../../libperl.so.%{perl_version}" "%{build_archlib}/CORE/libperl.so"
rm -f "%{build_archlib}/CORE/%{soname}"

install -p -m 755 utils/pl2pm %{build_bindir}/pl2pm

for i in sys/ioctl.h sys/syscall.h syscall.h
do
    %{new_perl} %{build_bindir}/h2ph -a -d %{build_archlib} $i || true
done


mkdir -p $RPM_BUILD_ROOT%{perl_vendorarch}/auto
mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}

#
# perl RPM macros
#
mkdir -p ${RPM_BUILD_ROOT}%{_rpmmacrodir}
install -p -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_rpmmacrodir}

find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -delete
chmod -R u+w $RPM_BUILD_ROOT/*

rm %{build_privlib}/ExtUtils/xsubpp
ln -s ../../../bin/xsubpp %{build_privlib}/ExtUtils/

rm %{build_archlib}/.packlist

rm %{build_archlib}/File/Spec/VMS.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3/File::Spec::VMS.3*

rm %{build_privlib}/ExtUtils/PL2Bat.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3/ExtUtils::PL2Bat.3*

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
pushd $RPM_BUILD_ROOT%{_mandir}/man1/
  for i in perl588delta.1 perldelta.1 ; do
    iconv -f MS-ANSI -t UTF-8 $i --output new-$i
    rm $i
    mv new-$i $i
  done
popd


rm %{buildroot}%{_bindir}/ptar
rm %{buildroot}%{_bindir}/ptardiff
rm %{buildroot}%{_bindir}/ptargrep
rm -rf %{buildroot}%{privlib}/Archive/Tar
rm %{buildroot}%{privlib}/Archive/Tar.pm
rm -rf %{buildroot}%{privlib}/Archive
rm %{buildroot}%{_mandir}/man1/ptar.1*
rm %{buildroot}%{_mandir}/man1/ptardiff.1*
rm %{buildroot}%{_mandir}/man1/ptargrep.1*
rm %{buildroot}%{_mandir}/man3/Archive::Tar*

rm -rf %{buildroot}%{privlib}/autodie/
rm %{buildroot}%{privlib}/autodie.pm
rm %{buildroot}%{privlib}/Fatal.pm
rm %{buildroot}%{_mandir}/man3/autodie.3*
rm %{buildroot}%{_mandir}/man3/autodie::*
rm %{buildroot}%{_mandir}/man3/Fatal.3*

rm %{buildroot}%{privlib}/bigint.pm
rm %{buildroot}%{privlib}/bignum.pm
rm %{buildroot}%{privlib}/bigrat.pm
rm -rf %{buildroot}%{privlib}/Math/BigFloat
rm %{buildroot}%{privlib}/Math/BigInt/Trace.pm
rm %{buildroot}%{_mandir}/man3/bigint.*
rm %{buildroot}%{_mandir}/man3/bignum.*
rm %{buildroot}%{_mandir}/man3/bigrat.*

rm -rf %{buildroot}%{privlib}/Carp
rm %{buildroot}%{privlib}/Carp.*
rm %{buildroot}%{_mandir}/man3/Carp.*

rm %{buildroot}%{archlib}/Compress/Raw/Bzip2.pm
rm -rf %{buildroot}%{archlib}/auto/Compress/Raw/Bzip2
rm %{buildroot}%{_mandir}/man3/Compress::Raw::Bzip2*

rm %{buildroot}%{archlib}/Compress/Raw/Zlib.pm
rm -rf %{buildroot}%{archlib}/Compress/Raw
rm -rf %{buildroot}%{archlib}/Compress
rm -rf %{buildroot}%{archlib}/auto/Compress/Raw/Zlib
rm -rf %{buildroot}%{archlib}/auto/Compress/Raw
rm -rf %{buildroot}%{archlib}/auto/Compress
rm %{buildroot}%{_mandir}/man3/Compress::Raw::Zlib*

rm -rf %{buildroot}%{privlib}/Config/Perl
rm %{buildroot}%{_mandir}/man3/Config::Perl::V.*

rm %{buildroot}%{privlib}/constant.pm
rm %{buildroot}%{_mandir}/man3/constant.3*

rm %{buildroot}%{privlib}/CPAN/Meta/Requirements.pm
rm %{buildroot}%{_mandir}/man3/CPAN::Meta::Requirements.3*

rm %{buildroot}%{privlib}/CPAN/Meta/YAML.pm
rm %{buildroot}%{_mandir}/man3/CPAN::Meta::YAML*

rm %{buildroot}%{privlib}/CPAN/Meta.pm
rm %{buildroot}%{privlib}/CPAN/Meta/Converter.pm
rm %{buildroot}%{privlib}/CPAN/Meta/Feature.pm
rm -rf %{buildroot}%{privlib}/CPAN/Meta/History
rm %{buildroot}%{privlib}/CPAN/Meta/History.pm
rm %{buildroot}%{privlib}/CPAN/Meta/Merge.pm
rm %{buildroot}%{privlib}/CPAN/Meta/Prereqs.pm
rm %{buildroot}%{privlib}/CPAN/Meta/Spec.pm
rm %{buildroot}%{privlib}/CPAN/Meta/Validator.pm
rm -rf %{buildroot}%{privlib}/CPAN/Meta
rm %{buildroot}%{privlib}/Parse/CPAN/Meta.pm
rm -rf %{buildroot}%{privlib}/Parse/CPAN
rm -rf %{buildroot}%{privlib}/Parse
rm %{buildroot}%{_mandir}/man3/CPAN::Meta*
rm %{buildroot}%{_mandir}/man3/Parse::CPAN::Meta.3*

rm %{buildroot}%{_bindir}/cpan
rm %{buildroot}%{privlib}/App/Cpan.pm
rm -rf %{buildroot}%{privlib}/CPAN
rm %{buildroot}%{privlib}/CPAN.pm
rm %{buildroot}%{_mandir}/man1/cpan.1*
rm %{buildroot}%{_mandir}/man3/App::Cpan.*
rm %{buildroot}%{_mandir}/man3/CPAN.*
rm %{buildroot}%{_mandir}/man3/CPAN:*

rm %{buildroot}%{archlib}/auto/Data/Dumper/Dumper.so
rm %{buildroot}%{archlib}/Data/Dumper.pm
rm -rf %{buildroot}%{archlib}/auto/Data/Dumper
rm -rf %{buildroot}%{archlib}/auto/Data
rm -rf %{buildroot}%{archlib}/Data
rm %{buildroot}%{_mandir}/man3/Data::Dumper.3*

rm %{buildroot}%{archlib}/DB_File.pm
rm %{buildroot}%{archlib}/auto/DB_File/DB_File.so
rm -rf %{buildroot}%{archlib}/auto/DB_File
rm %{buildroot}%{_mandir}/man3/DB_File*

rm %{buildroot}%{archlib}/Devel/PPPort.pm
rm %{buildroot}%{_mandir}/man3/Devel::PPPort.3*

rm %{buildroot}%{privlib}/Digest.pm
rm %{buildroot}%{privlib}/Digest/base.pm
rm %{buildroot}%{privlib}/Digest/file.pm
rm -rf %{buildroot}%{privlib}/Digest
rm %{buildroot}%{_mandir}/man3/Digest.3*
rm %{buildroot}%{_mandir}/man3/Digest::base.3*
rm %{buildroot}%{_mandir}/man3/Digest::file.3*

rm %{buildroot}%{archlib}/Digest/MD5.pm
rm -rf %{buildroot}%{archlib}/auto/Digest/MD5
rm %{buildroot}%{_mandir}/man3/Digest::MD5.3*

rm %{buildroot}%{_bindir}/shasum
rm %{buildroot}%{archlib}/Digest/SHA.pm
rm -rf %{buildroot}%{archlib}/Digest
rm -rf %{buildroot}%{archlib}/auto/Digest/SHA
rm -rf %{buildroot}%{archlib}/auto/Digest
rm %{buildroot}%{_mandir}/man1/shasum.1*
rm %{buildroot}%{_mandir}/man3/Digest::SHA.3*

rm %{buildroot}%{_bindir}/encguess
rm %{buildroot}%{_bindir}/piconv
rm -rf %{buildroot}%{archlib}/Encode*
rm -rf %{buildroot}%{archlib}/auto/Encode*
rm %{buildroot}%{_mandir}/man1/encguess.1*
rm %{buildroot}%{_mandir}/man1/piconv.1*
rm %{buildroot}%{_mandir}/man3/Encode*.3*

rm %{buildroot}%{archlib}/encoding.pm
rm %{buildroot}%{_mandir}/man3/encoding.3*

rm %{buildroot}%{_bindir}/enc2xs
rm %{buildroot}%{privlib}/Encode/*.e2x
rm %{buildroot}%{privlib}/Encode/encode.h
rm -rf %{buildroot}%{privlib}/Encode
rm %{buildroot}%{_mandir}/man1/enc2xs.1*

rm %{buildroot}%{privlib}/Env.pm
rm %{buildroot}%{_mandir}/man3/Env.3*

rm -rf %{buildroot}%{privlib}/Exporter*
rm %{buildroot}%{_mandir}/man3/Exporter*

rm %{buildroot}%{privlib}/experimental*
rm %{buildroot}%{_mandir}/man3/experimental*

rm %{buildroot}%{privlib}/ExtUtils/CBuilder.pm
rm -rf %{buildroot}%{privlib}/ExtUtils/CBuilder
rm %{buildroot}%{_mandir}/man3/ExtUtils::CBuilder*

rm %{buildroot}%{privlib}/ExtUtils/Command.pm
rm %{buildroot}%{_mandir}/man3/ExtUtils::Command.*

rm %{buildroot}%{privlib}/ExtUtils/Install.pm
rm %{buildroot}%{privlib}/ExtUtils/Installed.pm
rm %{buildroot}%{privlib}/ExtUtils/Packlist.pm
rm %{buildroot}%{_mandir}/man3/ExtUtils::Install.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Installed.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Packlist.3*

rm %{buildroot}%{privlib}/ExtUtils/Manifest.pm
rm %{buildroot}%{privlib}/ExtUtils/MANIFEST.SKIP
rm %{buildroot}%{_mandir}/man3/ExtUtils::Manifest.3*

rm %{buildroot}%{_bindir}/instmodsh
rm -rf %{buildroot}%{privlib}/ExtUtils/Command
rm -rf %{buildroot}%{privlib}/ExtUtils/Liblist
rm %{buildroot}%{privlib}/ExtUtils/Liblist.pm
rm -rf %{buildroot}%{privlib}/ExtUtils/MakeMaker
rm %{buildroot}%{privlib}/ExtUtils/MakeMaker.pm
rm %{buildroot}%{privlib}/ExtUtils/MM.pm
rm %{buildroot}%{privlib}/ExtUtils/MM_*.pm
rm %{buildroot}%{privlib}/ExtUtils/MY.pm
rm %{buildroot}%{privlib}/ExtUtils/Mkbootstrap.pm
rm %{buildroot}%{privlib}/ExtUtils/Mksymlists.pm
rm %{buildroot}%{privlib}/ExtUtils/testlib.pm
rm %{buildroot}%{_mandir}/man1/instmodsh.1*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Command::MM*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Liblist.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::MM.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::MM_*
rm %{buildroot}%{_mandir}/man3/ExtUtils::MY.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::MakeMaker*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Mkbootstrap.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Mksymlists.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::testlib.3*

rm %{buildroot}%{privlib}/ExtUtils/ParseXS.pm
rm %{buildroot}%{privlib}/ExtUtils/ParseXS.pod
rm %{buildroot}%{privlib}/ExtUtils/ParseXS/Constants.pm
rm %{buildroot}%{privlib}/ExtUtils/ParseXS/CountLines.pm
rm %{buildroot}%{privlib}/ExtUtils/ParseXS/Eval.pm
rm %{buildroot}%{privlib}/ExtUtils/ParseXS/Utilities.pm
rm -rf %{buildroot}%{privlib}/ExtUtils/ParseXS
rm %{buildroot}%{privlib}/ExtUtils/Typemaps.pm
rm %{buildroot}%{privlib}/ExtUtils/Typemaps/Cmd.pm
rm %{buildroot}%{privlib}/ExtUtils/Typemaps/InputMap.pm
rm %{buildroot}%{privlib}/ExtUtils/Typemaps/OutputMap.pm
rm %{buildroot}%{privlib}/ExtUtils/Typemaps/Type.pm
rm -rf %{buildroot}%{privlib}/ExtUtils/Typemaps
rm %{buildroot}%{privlib}/ExtUtils/xsubpp
rm %{buildroot}%{privlib}/pod/perlxs.pod
rm %{buildroot}%{privlib}/pod/perlxstut.pod
rm %{buildroot}%{privlib}/pod/perlxstypemap.pod
rm %{buildroot}%{_bindir}/xsubpp
rm %{buildroot}%{_mandir}/man1/perlxs*
rm %{buildroot}%{_mandir}/man1/xsubpp*
rm %{buildroot}%{_mandir}/man3/ExtUtils::ParseXS.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::ParseXS::Constants.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::ParseXS::Eval.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::ParseXS::Utilities.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Typemaps.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Typemaps::Cmd.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Typemaps::InputMap.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Typemaps::OutputMap.3*
rm %{buildroot}%{_mandir}/man3/ExtUtils::Typemaps::Type.3*

rm %{buildroot}%{privlib}/File/Fetch.pm
rm %{buildroot}%{_mandir}/man3/File::Fetch.3*

rm %{buildroot}%{privlib}/File/Path.pm
rm %{buildroot}%{_mandir}/man3/File::Path.3*

rm %{buildroot}%{privlib}/File/Temp.pm
rm %{buildroot}%{_mandir}/man3/File::Temp.3*

rm -rf %{buildroot}%{archlib}/auto/Filter/Util
rm -rf %{buildroot}%{archlib}/auto/Filter
rm -rf %{buildroot}%{archlib}/Filter/Util
rm -rf %{buildroot}%{archlib}/Filter
rm %{buildroot}%{privlib}/pod/perlfilter.pod
rm %{buildroot}%{_mandir}/man1/perlfilter.*
rm %{buildroot}%{_mandir}/man3/Filter::Util::*

rm %{buildroot}%{privlib}/Filter/Simple.pm
rm -rf %{buildroot}%{privlib}/Filter
rm %{buildroot}%{_mandir}/man3/Filter::Simple.3*

rm %{buildroot}%{privlib}/Getopt/Long.pm
rm %{buildroot}%{_mandir}/man3/Getopt::Long.3*

rm %{buildroot}%{_bindir}/streamzip
rm %{buildroot}%{_bindir}/zipdetails
rm %{buildroot}%{privlib}/IO/Compress/FAQ.pod
rm %{buildroot}%{_mandir}/man1/streamzip.*
rm %{buildroot}%{_mandir}/man1/zipdetails.*
rm %{buildroot}%{_mandir}/man3/IO::Compress::FAQ.*
rm %{buildroot}%{privlib}/Compress/Zlib.pm
rm -rf %{buildroot}%{privlib}/Compress
rm %{buildroot}%{_mandir}/man3/Compress::Zlib*
rm %{buildroot}%{privlib}/File/GlobMapper.pm
rm %{buildroot}%{privlib}/IO/Compress/Base.pm
rm -rf %{buildroot}%{privlib}/IO/Compress/Base
rm %{buildroot}%{privlib}/IO/Uncompress/AnyUncompress.pm
rm %{buildroot}%{privlib}/IO/Uncompress/Base.pm
rm %{buildroot}%{_mandir}/man3/File::GlobMapper.*
rm %{buildroot}%{_mandir}/man3/IO::Compress::Base.*
rm %{buildroot}%{_mandir}/man3/IO::Uncompress::AnyUncompress.*
rm %{buildroot}%{_mandir}/man3/IO::Uncompress::Base.*
rm %{buildroot}%{privlib}/IO/Compress/Bzip2.pm
rm %{buildroot}%{privlib}/IO/Compress/Deflate.pm
rm %{buildroot}%{privlib}/IO/Compress/Gzip.pm
rm %{buildroot}%{privlib}/IO/Compress/RawDeflate.pm
rm %{buildroot}%{privlib}/IO/Compress/Zip.pm
rm -rf %{buildroot}%{privlib}/IO/Compress/Adapter
rm -rf %{buildroot}%{privlib}/IO/Compress/Gzip
rm -rf %{buildroot}%{privlib}/IO/Compress/Zip
rm -rf %{buildroot}%{privlib}/IO/Compress/Zlib
rm -rf %{buildroot}%{privlib}/IO/Compress
rm %{buildroot}%{privlib}/IO/Uncompress/AnyInflate.pm
rm %{buildroot}%{privlib}/IO/Uncompress/Bunzip2.pm
rm %{buildroot}%{privlib}/IO/Uncompress/Gunzip.pm
rm %{buildroot}%{privlib}/IO/Uncompress/Inflate.pm
rm %{buildroot}%{privlib}/IO/Uncompress/RawInflate.pm
rm %{buildroot}%{privlib}/IO/Uncompress/Unzip.pm
rm -rf %{buildroot}%{privlib}/IO/Uncompress/Adapter
rm -rf %{buildroot}%{privlib}/IO/Uncompress
rm %{buildroot}%{_mandir}/man3/IO::Compress::Deflate*
rm %{buildroot}%{_mandir}/man3/IO::Compress::Bzip2*
rm %{buildroot}%{_mandir}/man3/IO::Compress::Gzip*
rm %{buildroot}%{_mandir}/man3/IO::Compress::RawDeflate*
rm %{buildroot}%{_mandir}/man3/IO::Compress::Zip*
rm %{buildroot}%{_mandir}/man3/IO::Uncompress::AnyInflate*
rm %{buildroot}%{_mandir}/man3/IO::Uncompress::Bunzip2*
rm %{buildroot}%{_mandir}/man3/IO::Uncompress::Gunzip*
rm %{buildroot}%{_mandir}/man3/IO::Uncompress::Inflate*
rm %{buildroot}%{_mandir}/man3/IO::Uncompress::RawInflate*
rm %{buildroot}%{_mandir}/man3/IO::Uncompress::Unzip*

rm %{buildroot}%{privlib}/IO/Socket/IP.pm
rm -rf %{buildroot}%{privlib}/IO/Socket
rm %{buildroot}%{_mandir}/man3/IO::Socket::IP.*

rm %{buildroot}%{privlib}/IO/Zlib.pm
rm -rf %{buildroot}%{privlib}/IO
rm %{buildroot}%{_mandir}/man3/IO::Zlib.*

rm %{buildroot}%{privlib}/HTTP/Tiny.pm
rm -rf %{buildroot}%{privlib}/HTTP
rm %{buildroot}%{_mandir}/man3/HTTP::Tiny*

rm %{buildroot}%{privlib}/IPC/Cmd.pm
rm %{buildroot}%{_mandir}/man3/IPC::Cmd.3*

rm -rf %{buildroot}%{archlib}/auto/IPC
rm %{buildroot}%{archlib}/IPC/Msg.pm
rm %{buildroot}%{archlib}/IPC/Semaphore.pm
rm %{buildroot}%{archlib}/IPC/SharedMem.pm
rm %{buildroot}%{archlib}/IPC/SysV.pm
rm -rf %{buildroot}%{archlib}/IPC
rm %{buildroot}%{_mandir}/man3/IPC::Msg.*
rm %{buildroot}%{_mandir}/man3/IPC::Semaphore.*
rm %{buildroot}%{_mandir}/man3/IPC::SharedMem.*
rm %{buildroot}%{_mandir}/man3/IPC::SysV.*

rm %{buildroot}%{_bindir}/json_pp
rm %{buildroot}%{privlib}/JSON/PP.pm
rm -rf %{buildroot}%{privlib}/JSON/PP
rm -rf %{buildroot}%{privlib}/JSON
rm %{buildroot}%{_mandir}/man1/json_pp.1*
rm %{buildroot}%{_mandir}/man3/JSON::PP.3*
rm %{buildroot}%{_mandir}/man3/JSON::PP::Boolean.3pm*

rm %{buildroot}%{privlib}/Net/Cmd.pm
rm %{buildroot}%{privlib}/Net/Config.pm
rm %{buildroot}%{privlib}/Net/Domain.pm
rm %{buildroot}%{privlib}/Net/FTP.pm
rm -rf %{buildroot}%{privlib}/Net/FTP
rm %{buildroot}%{privlib}/Net/libnetFAQ.pod
rm %{buildroot}%{privlib}/Net/NNTP.pm
rm %{buildroot}%{privlib}/Net/Netrc.pm
rm %{buildroot}%{privlib}/Net/POP3.pm
rm %{buildroot}%{privlib}/Net/SMTP.pm
rm %{buildroot}%{privlib}/Net/Time.pm
rm %{buildroot}%{_mandir}/man3/Net::Cmd.*
rm %{buildroot}%{_mandir}/man3/Net::Config.*
rm %{buildroot}%{_mandir}/man3/Net::Domain.*
rm %{buildroot}%{_mandir}/man3/Net::FTP.*
rm %{buildroot}%{_mandir}/man3/Net::libnetFAQ.*
rm %{buildroot}%{_mandir}/man3/Net::NNTP.*
rm %{buildroot}%{_mandir}/man3/Net::Netrc.*
rm %{buildroot}%{_mandir}/man3/Net::POP3.*
rm %{buildroot}%{_mandir}/man3/Net::SMTP.*
rm %{buildroot}%{_mandir}/man3/Net::Time.*

rm %{buildroot}%{privlib}/Locale/Maketext.*
rm %{buildroot}%{privlib}/Locale/Maketext/Cookbook.*
rm %{buildroot}%{privlib}/Locale/Maketext/Guts.*
rm %{buildroot}%{privlib}/Locale/Maketext/GutsLoader.*
rm %{buildroot}%{privlib}/Locale/Maketext/TPJ13.*
rm %{buildroot}%{_mandir}/man3/Locale::Maketext.*
rm %{buildroot}%{_mandir}/man3/Locale::Maketext::Cookbook.*
rm %{buildroot}%{_mandir}/man3/Locale::Maketext::Guts.*
rm %{buildroot}%{_mandir}/man3/Locale::Maketext::GutsLoader.*
rm %{buildroot}%{_mandir}/man3/Locale::Maketext::TPJ13.*

rm %{buildroot}%{privlib}/Math/BigFloat.pm
rm %{buildroot}%{privlib}/Math/BigInt.pm
rm %{buildroot}%{privlib}/Math/BigInt/Calc.pm
rm %{buildroot}%{privlib}/Math/BigInt/Lib.pm
rm -rf %{buildroot}%{privlib}/Math/BigInt
rm %{buildroot}%{_mandir}/man3/Math::BigFloat.*
rm %{buildroot}%{_mandir}/man3/Math::BigInt.*
rm %{buildroot}%{_mandir}/man3/Math::BigInt::Calc.*
rm %{buildroot}%{_mandir}/man3/Math::BigInt::Lib.*

rm -rf %{buildroot}%{archlib}/Math
rm -rf %{buildroot}%{archlib}/auto/Math
rm %{buildroot}%{_mandir}/man3/Math::BigInt::FastCalc.*

rm %{buildroot}%{privlib}/Math/BigRat.pm
rm %{buildroot}%{_mandir}/man3/Math::BigRat.*

rm -rf %{buildroot}%{archlib}/auto/MIME
rm -rf %{buildroot}%{archlib}/MIME
rm %{buildroot}%{_mandir}/man3/MIME::*

rm -rf %{buildroot}%{privlib}/Module/CoreList
rm %{buildroot}%{privlib}/Module/CoreList.pm
rm %{buildroot}%{privlib}/Module/CoreList.pod
rm %{buildroot}%{_mandir}/man3/Module::CoreList*

rm %{buildroot}%{_bindir}/corelist
rm %{buildroot}%{_mandir}/man1/corelist*

rm %{buildroot}%{privlib}/Module/Load.pm
rm %{buildroot}%{_mandir}/man3/Module::Load.*

rm -rf %{buildroot}%{privlib}/Module/Load
rm %{buildroot}%{_mandir}/man3/Module::Load::Conditional*

rm %{buildroot}%{privlib}/Module/Metadata.pm
rm %{buildroot}%{_mandir}/man3/Module::Metadata.3pm*

rm %{buildroot}%{privlib}/Net/Ping.pm
rm %{buildroot}%{_mandir}/man3/Net::Ping.*

rm %{buildroot}%{privlib}/parent.pm
rm %{buildroot}%{_mandir}/man3/parent.3*

rm -rf %{buildroot}%{privlib}/Params/
rm %{buildroot}%{_mandir}/man3/Params::Check*

rm %{buildroot}%{archlib}/Cwd.pm
rm -rf %{buildroot}%{archlib}/File/Spec*
rm -rf %{buildroot}%{archlib}/auto/Cwd/
rm %{buildroot}%{_mandir}/man3/Cwd*
rm %{buildroot}%{_mandir}/man3/File::Spec*

rm %{buildroot}%{privlib}/Perl/OSType.pm
rm -rf %{buildroot}%{privlib}/Perl
rm %{buildroot}%{_mandir}/man3/Perl::OSType.3pm*

rm %{buildroot}%{privlib}/perlfaq.pm
rm %{buildroot}%{privlib}/pod/perlfaq*
rm %{buildroot}%{privlib}/pod/perlglossary.pod
rm %{buildroot}%{_mandir}/man1/perlfaq*
rm %{buildroot}%{_mandir}/man1/perlglossary.*

rm -rf %{buildroot}%{privlib}/PerlIO
rm %{buildroot}%{_mandir}/man3/PerlIO::via::QuotedPrint.*

rm %{buildroot}%{_bindir}/podchecker
rm %{buildroot}%{privlib}/Pod/Checker.pm
rm %{buildroot}%{_mandir}/man1/podchecker.*
rm %{buildroot}%{_mandir}/man3/Pod::Checker.*

rm %{buildroot}%{privlib}/Pod/Escapes.pm
rm %{buildroot}%{_mandir}/man3/Pod::Escapes.*

rm %{buildroot}%{_bindir}/perldoc
rm %{buildroot}%{privlib}/pod/perldoc.pod
rm %{buildroot}%{privlib}/Pod/Perldoc.pm
rm -rf %{buildroot}%{privlib}/Pod/Perldoc/
rm %{buildroot}%{_mandir}/man1/perldoc.1*
rm %{buildroot}%{_mandir}/man3/Pod::Perldoc*

rm %{buildroot}%{_bindir}/pod2usage
rm %{buildroot}%{privlib}/Pod/Usage.pm
rm %{buildroot}%{_mandir}/man1/pod2usage.*
rm %{buildroot}%{_mandir}/man3/Pod::Usage.*

rm %{buildroot}%{_bindir}/pod2man
rm %{buildroot}%{_bindir}/pod2text
rm %{buildroot}%{privlib}/pod/perlpodstyle.pod
rm %{buildroot}%{privlib}/Pod/Man.pm
rm %{buildroot}%{privlib}/Pod/ParseLink.pm
rm %{buildroot}%{privlib}/Pod/Text.pm
rm -rf %{buildroot}%{privlib}/Pod/Text
rm %{buildroot}%{_mandir}/man1/pod2man.1*
rm %{buildroot}%{_mandir}/man1/pod2text.1*
rm %{buildroot}%{_mandir}/man1/perlpodstyle.1*
rm %{buildroot}%{_mandir}/man3/Pod::Man*
rm %{buildroot}%{_mandir}/man3/Pod::ParseLink*
rm %{buildroot}%{_mandir}/man3/Pod::Text*

rm %{buildroot}%{privlib}/Pod/Simple.pm
rm %{buildroot}%{privlib}/Pod/Simple.pod
rm -rf %{buildroot}%{privlib}/Pod/Simple/
rm %{buildroot}%{_mandir}/man3/Pod::Simple*

rm -rf %{buildroot}%{archlib}/List/
rm -rf %{buildroot}%{archlib}/Scalar/
rm -rf %{buildroot}%{archlib}/Sub/
rm -rf %{buildroot}%{archlib}/auto/List/
rm %{buildroot}%{_mandir}/man3/List::Util*
rm %{buildroot}%{_mandir}/man3/Scalar::Util*
rm %{buildroot}%{_mandir}/man3/Sub::Util*

rm %{buildroot}%{archlib}/auto/Socket/Socket.*
rm -rf %{buildroot}%{archlib}/auto/Socket
rm %{buildroot}%{archlib}/Socket.pm
rm %{buildroot}%{_mandir}/man3/Socket.3*

rm %{buildroot}%{archlib}/Storable.pm
rm -rf %{buildroot}%{archlib}/auto/Storable/
rm %{buildroot}%{_mandir}/man3/Storable.*

rm %{buildroot}%{archlib}/Sys/Syslog.pm
rm -rf %{buildroot}%{archlib}/auto/Sys/Syslog/
rm %{buildroot}%{_mandir}/man3/Sys::Syslog.*

rm %{buildroot}%{privlib}/Term/ANSIColor.pm
rm %{buildroot}%{_mandir}/man3/Term::ANSIColor*

rm %{buildroot}%{privlib}/Term/Cap.pm
rm %{buildroot}%{_mandir}/man3/Term::Cap.*

rm %{buildroot}%{_bindir}/prove
rm -rf %{buildroot}%{privlib}/App/Prove*
rm -rf %{buildroot}%{privlib}/App
rm -rf %{buildroot}%{privlib}/TAP*
rm %{buildroot}%{privlib}/Test/Harness*
rm %{buildroot}%{_mandir}/man1/prove.1*
rm %{buildroot}%{_mandir}/man3/App::Prove*
rm %{buildroot}%{_mandir}/man3/TAP*
rm %{buildroot}%{_mandir}/man3/Test::Harness*

rm %{buildroot}%{privlib}/ok*
rm %{buildroot}%{privlib}/Test/More*
rm -rf %{buildroot}%{privlib}/Test/Builder*
rm -rf %{buildroot}%{privlib}/Test/Tester*
rm %{buildroot}%{privlib}/Test/Simple*
rm %{buildroot}%{privlib}/Test/Tutorial*
rm -rf %{buildroot}%{privlib}/Test/use
rm -rf %{buildroot}%{privlib}/Test
rm -rf %{buildroot}%{privlib}/Test2*
rm %{buildroot}%{_mandir}/man3/ok*
rm %{buildroot}%{_mandir}/man3/Test::More*
rm %{buildroot}%{_mandir}/man3/Test::Builder*
rm %{buildroot}%{_mandir}/man3/Test::Tester*
rm %{buildroot}%{_mandir}/man3/Test::Simple*
rm %{buildroot}%{_mandir}/man3/Test::Tutorial*
rm %{buildroot}%{_mandir}/man3/Test::use::*
rm %{buildroot}%{_mandir}/man3/Test2*

rm %{buildroot}%{privlib}/Text/Balanced.pm
rm %{buildroot}%{_mandir}/man3/Text::Balanced.*

rm %{buildroot}%{privlib}/Text/ParseWords.pm
rm %{buildroot}%{_mandir}/man3/Text::ParseWords.*

rm %{buildroot}%{privlib}/Text/Tabs.pm
rm %{buildroot}%{privlib}/Text/Wrap.pm
rm %{buildroot}%{_mandir}/man3/Text::Tabs.*
rm %{buildroot}%{_mandir}/man3/Text::Wrap.*

rm %{buildroot}%{privlib}/Thread/Queue.pm
rm %{buildroot}%{_mandir}/man3/Thread::Queue.*

rm %{buildroot}%{privlib}/Tie/RefHash.pm
rm %{buildroot}%{_mandir}/man3/Tie::RefHash.*

rm %{buildroot}%{archlib}/Time/HiRes.pm
rm -rf %{buildroot}%{archlib}/auto/Time/HiRes
rm %{buildroot}%{_mandir}/man3/Time::HiRes.*

rm %{buildroot}%{privlib}/Time/Local.pm
rm %{buildroot}%{_mandir}/man3/Time::Local.*

rm %{buildroot}%{archlib}/auto/threads/threads*
rm %{buildroot}%{archlib}/threads.pm
rm %{buildroot}%{_mandir}/man3/threads.3*

rm -rf %{buildroot}%{archlib}/auto/threads/shared*
rm -rf %{buildroot}%{archlib}/auto/threads
rm %{buildroot}%{archlib}/threads/shared*
rm -rf %{buildroot}%{archlib}/threads
rm %{buildroot}%{_mandir}/man3/threads::shared*

rm -rf %{buildroot}%{archlib}/auto/Unicode/Collate
rm -rf %{buildroot}%{archlib}/auto/Unicode
rm %{buildroot}%{archlib}/Unicode/Collate.pm
rm -rf %{buildroot}%{archlib}/Unicode/Collate
rm -rf %{buildroot}%{privlib}/Unicode/Collate
rm %{buildroot}%{_mandir}/man3/Unicode::Collate.*
rm %{buildroot}%{_mandir}/man3/Unicode::Collate::*

rm -rf %{buildroot}%{archlib}/auto/Unicode/Normalize
rm %{buildroot}%{archlib}/Unicode/Normalize.pm
rm -rf %{buildroot}%{archlib}/Unicode
rm %{buildroot}%{_mandir}/man3/Unicode::Normalize.*

rm %{buildroot}%{privlib}/version.pm
rm %{buildroot}%{privlib}/version.pod
rm -rf %{buildroot}%{privlib}/version/
rm %{buildroot}%{_mandir}/man3/version.3*
rm %{buildroot}%{_mandir}/man3/version::Internals.3*


%check
%ldconfig_scriptlets libs

%files

%files interpreter
%{_bindir}/perl
%{_bindir}/perl%{perl_version}
%{_mandir}/man1/perl.1*
%{_mandir}/man1/perlrun.1*
%dir %{privlib}/pod
%{privlib}/pod/perl.pod
%{privlib}/pod/perlrun.pod

%files libs
%license Artistic Copying
%doc AUTHORS README Changes
%dir %{archlib}
%{archlib}/attributes.pm
%dir %{archlib}/auto
%dir %{archlib}/auto/attributes
%{archlib}/auto/attributes/attributes.so
%dir %{archlib}/auto/File
%dir %{archlib}/auto/File/Glob
%{archlib}/auto/File/Glob/Glob.so
%{archlib}/auto/PerlIO
%{archlib}/auto/re
%{archlib}/auto/SDBM_File
%{archlib}/Config.*
%{archlib}/Config_git.pl
%{archlib}/Config_heavy.pl
%dir %{archlib}/CORE
%{archlib}/CORE/libperl.so
%dir %{archlib}/File
%{archlib}/File/Glob.pm
%{archlib}/PerlIO
%{archlib}/re.pm
%{archlib}/SDBM_File.pm
%{_libdir}/libperl.so.*
%dir %{perl_vendorarch}
%dir %{perl_vendorarch}/auto
%dir %{privlib}
%{privlib}/AnyDBM_File.pm
%{privlib}/bytes.pm
%{privlib}/bytes_heavy.pl
%{privlib}/_charnames.pm
%{privlib}/charnames.pm
%{privlib}/CORE.pod
%{privlib}/feature.pm
%{privlib}/integer.pm
%{privlib}/Internals.pod
%{privlib}/PerlIO.pm
%{privlib}/strict.pm
%{privlib}/unicore
%{privlib}/UNIVERSAL.pm
%{privlib}/utf8.pm
%{privlib}/warnings
%{privlib}/warnings.pm
%dir %{privlib}/Tie
%{privlib}/Tie/Hash.pm
%dir %{privlib}/Tie/Hash
%{privlib}/Tie/Hash/NamedCapture.pm
%{privlib}/XSLoader.pm
%dir %{perl_vendorlib}
%{_mandir}/man3/AnyDBM_File.*
%{_mandir}/man3/attributes.*
%{_mandir}/man3/bytes.*
%{_mandir}/man3/charnames.*
%{_mandir}/man3/Config.*
%{_mandir}/man3/CORE.*
%{_mandir}/man3/feature.3*
%{_mandir}/man3/File::Glob.*
%{_mandir}/man3/integer.*
%{_mandir}/man3/Internals.*
%{_mandir}/man3/PerlIO.*
%{_mandir}/man3/PerlIO::encoding.*
%{_mandir}/man3/PerlIO::mmap.*
%{_mandir}/man3/PerlIO::scalar.*
%{_mandir}/man3/PerlIO::via.*
%{_mandir}/man3/re.*
%{_mandir}/man3/SDBM_File.3*
%{_mandir}/man3/strict.*
%{_mandir}/man3/Tie::Hash.*
%{_mandir}/man3/Tie::Hash::*
%{_mandir}/man3/utf8.*
%{_mandir}/man3/warnings.*
%{_mandir}/man3/warnings::*
%{_mandir}/man3/UNIVERSAL.*
%{_mandir}/man3/XSLoader.*

%files devel
%{_bindir}/h2xs
%{_mandir}/man1/h2xs*
%{_bindir}/perlivp
%{_mandir}/man1/perlivp*
%{archlib}/CORE/*.h
%dir %{privlib}/ExtUtils
%{privlib}/ExtUtils/typemap
%{_libdir}/libperl.so

%files macros
%{_rpmmacrodir}/macros.perl

%files utils
%{_bindir}/h2ph
%{_bindir}/perlbug
%{_bindir}/perlthanks
%{_bindir}/pl2pm
%dir %{privlib}/pod
%{privlib}/pod/perlutil.pod
%{_mandir}/man1/h2ph.*
%{_mandir}/man1/perlbug.*
%{_mandir}/man1/perlthanks.*
%{_mandir}/man1/perlutil.*
%{_mandir}/man1/pl2pm.*

%files Attribute-Handlers
%{privlib}/Attribute
%{_mandir}/man3/Attribute::Handlers.*

%files AutoLoader
%{privlib}/AutoLoader.pm
%{_mandir}/man3/AutoLoader.3*

%files AutoSplit
%{privlib}/AutoSplit.pm
%{_mandir}/man3/AutoSplit.3*

%files autouse
%{privlib}/autouse.pm
%{_mandir}/man3/autouse.3*

%files B
%{archlib}/auto/B
%{archlib}/B
%{archlib}/B.pm
%{archlib}/O.pm
%{privlib}/B
%{_mandir}/man3/B.*
%{_mandir}/man3/B::*
%{_mandir}/man3/O.*

%files base
%{privlib}/base.pm
%{_mandir}/man3/base.3*

%files Benchmark
%{privlib}/Benchmark.pm
%{_mandir}/man3/Benchmark.*

%files blib
%{privlib}/blib.pm
%{_mandir}/man3/blib.*

%files Class-Struct
%{privlib}/Class
%{_mandir}/man3/Class::Struct.*

%files Config-Extensions
%dir %{privlib}/Config
%{privlib}/Config/Extensions.pm
%{_mandir}/man3/Config::Extensions.*

%files DBM_Filter
%{privlib}/DBM_Filter
%{privlib}/DBM_Filter.pm
%{_mandir}/man3/DBM_Filter.*
%{_mandir}/man3/DBM_Filter::*

%files debugger
%{privlib}/DB.pm
%{privlib}/dumpvar.pl
%{privlib}/perl5db.pl
%dir %{privlib}/pod
%{privlib}/pod/perldebug.pod
%{_mandir}/man1/perldebug.*
%{_mandir}/man3/DB.*

%files deprecate
%{privlib}/deprecate.pm
%{_mandir}/man3/deprecate.*

%files Devel-Peek
%dir %{archlib}/Devel
%{archlib}/Devel/Peek.pm
%dir %{archlib}/auto/Devel
%{archlib}/auto/Devel/Peek
%{_mandir}/man3/Devel::Peek.*

%files Devel-SelfStubber
%dir %{privlib}/Devel
%{privlib}/Devel/SelfStubber.pm
%{_mandir}/man3/Devel::SelfStubber.*

%files diagnostics
%{_bindir}/splain
%{privlib}/diagnostics.pm
%dir %{privlib}/pod
%{privlib}/pod/perldiag.pod
%{_mandir}/man1/perldiag.*
%{_mandir}/man1/splain.*
%{_mandir}/man3/diagnostics.*

%files DirHandle
%{privlib}/DirHandle.pm
%{_mandir}/man3/DirHandle.3*

%files doc
%dir %{privlib}/pod
%{privlib}/pod/perl5*delta.pod
%{privlib}/pod/perlaix.pod
%{privlib}/pod/perlamiga.pod
%{privlib}/pod/perlandroid.pod
%{privlib}/pod/perlapi.pod
%{privlib}/pod/perlapio.pod
%{privlib}/pod/perlartistic.pod
%{privlib}/pod/perlbook.pod
%{privlib}/pod/perlboot.pod
%{privlib}/pod/perlbot.pod
%{privlib}/pod/perlbs2000.pod
%{privlib}/pod/perlcall.pod
%{privlib}/pod/perlcheat.pod
%{privlib}/pod/perlclib.pod
%{privlib}/pod/perlcn.pod
%{privlib}/pod/perlcommunity.pod
%{privlib}/pod/perlcygwin.pod
%{privlib}/pod/perldata.pod
%{privlib}/pod/perldbmfilter.pod
%{privlib}/pod/perldebguts.pod
%{privlib}/pod/perldebtut.pod
%{privlib}/pod/perldelta.pod
%{privlib}/pod/perldeprecation.pod
%{privlib}/pod/perldocstyle.pod
%{privlib}/pod/perldos.pod
%{privlib}/pod/perldsc.pod
%{privlib}/pod/perldtrace.pod
%{privlib}/pod/perlebcdic.pod
%{privlib}/pod/perlembed.pod
%{privlib}/pod/perlexperiment.pod
%{privlib}/pod/perlfork.pod
%{privlib}/pod/perlform.pod
%{privlib}/pod/perlfreebsd.pod
%{privlib}/pod/perlfunc.pod
%{privlib}/pod/perlgit.pod
%{privlib}/pod/perlgov.pod
%{privlib}/pod/perlgpl.pod
%{privlib}/pod/perlguts.pod
%{privlib}/pod/perlhack.pod
%{privlib}/pod/perlhacktips.pod
%{privlib}/pod/perlhacktut.pod
%{privlib}/pod/perlhaiku.pod
%{privlib}/pod/perlhist.pod
%{privlib}/pod/perlhpux.pod
%{privlib}/pod/perlhurd.pod
%{privlib}/pod/perlintern.pod
%{privlib}/pod/perlinterp.pod
%{privlib}/pod/perlintro.pod
%{privlib}/pod/perliol.pod
%{privlib}/pod/perlipc.pod
%{privlib}/pod/perlirix.pod
%{privlib}/pod/perljp.pod
%{privlib}/pod/perlko.pod
%{privlib}/pod/perllexwarn.pod
%{privlib}/pod/perllinux.pod
%{privlib}/pod/perllocale.pod
%{privlib}/pod/perllol.pod
%{privlib}/pod/perlmacos.pod
%{privlib}/pod/perlmacosx.pod
%{privlib}/pod/perlmod.pod
%{privlib}/pod/perlmodinstall.pod
%{privlib}/pod/perlmodlib.pod
%{privlib}/pod/perlmodstyle.pod
%{privlib}/pod/perlmroapi.pod
%{privlib}/pod/perlnetware.pod
%{privlib}/pod/perlnewmod.pod
%{privlib}/pod/perlnumber.pod
%{privlib}/pod/perlobj.pod
%{privlib}/pod/perlootut.pod
%{privlib}/pod/perlop.pod
%{privlib}/pod/perlopenbsd.pod
%{privlib}/pod/perlopentut.pod
%{privlib}/pod/perlos2.pod
%{privlib}/pod/perlos390.pod
%{privlib}/pod/perlos400.pod
%{privlib}/pod/perlpacktut.pod
%{privlib}/pod/perlperf.pod
%{privlib}/pod/perlplan9.pod
%{privlib}/pod/perlpod.pod
%{privlib}/pod/perlpodspec.pod
%{privlib}/pod/perlpolicy.pod
%{privlib}/pod/perlport.pod
%{privlib}/pod/perlpragma.pod
%{privlib}/pod/perlqnx.pod
%{privlib}/pod/perlre.pod
%{privlib}/pod/perlreapi.pod
%{privlib}/pod/perlrebackslash.pod
%{privlib}/pod/perlrecharclass.pod
%{privlib}/pod/perlref.pod
%{privlib}/pod/perlreftut.pod
%{privlib}/pod/perlreguts.pod
%{privlib}/pod/perlrepository.pod
%{privlib}/pod/perlrequick.pod
%{privlib}/pod/perlreref.pod
%{privlib}/pod/perlretut.pod
%{privlib}/pod/perlriscos.pod
%{privlib}/pod/perlsec.pod
%{privlib}/pod/perlsecpolicy.pod
%{privlib}/pod/perlsolaris.pod
%{privlib}/pod/perlsource.pod
%{privlib}/pod/perlstyle.pod
%{privlib}/pod/perlsub.pod
%{privlib}/pod/perlsyn.pod
%{privlib}/pod/perlsynology.pod
%{privlib}/pod/perlthrtut.pod
%{privlib}/pod/perltie.pod
%{privlib}/pod/perltoc.pod
%{privlib}/pod/perltodo.pod
%{privlib}/pod/perltooc.pod
%{privlib}/pod/perltoot.pod
%{privlib}/pod/perltrap.pod
%{privlib}/pod/perltru64.pod
%{privlib}/pod/perltw.pod
%{privlib}/pod/perlunicode.pod
%{privlib}/pod/perlunicook.pod
%{privlib}/pod/perlunifaq.pod
%{privlib}/pod/perluniintro.pod
%{privlib}/pod/perluniprops.pod
%{privlib}/pod/perlunitut.pod
%{privlib}/pod/perlvar.pod
%{privlib}/pod/perlvms.pod
%{privlib}/pod/perlvos.pod
%{privlib}/pod/perlwin32.pod
%{_mandir}/man1/perl5*delta.*
%{_mandir}/man1/perlaix.*
%{_mandir}/man1/perlamiga.*
%{_mandir}/man1/perlandroid.*
%{_mandir}/man1/perlapi.*
%{_mandir}/man1/perlapio.*
%{_mandir}/man1/perlartistic.*
%{_mandir}/man1/perlbook.*
%{_mandir}/man1/perlboot.*
%{_mandir}/man1/perlbot.*
%{_mandir}/man1/perlbs2000.*
%{_mandir}/man1/perlcall.*
%{_mandir}/man1/perlcheat.*
%{_mandir}/man1/perlclib.*
%{_mandir}/man1/perlcn.*
%{_mandir}/man1/perlcommunity.*
%{_mandir}/man1/perlcygwin.*
%{_mandir}/man1/perldata.*
%{_mandir}/man1/perldbmfilter.*
%{_mandir}/man1/perldebguts.*
%{_mandir}/man1/perldebtut.*
%{_mandir}/man1/perldelta.*
%{_mandir}/man1/perldeprecation.*
%{_mandir}/man1/perldocstyle.*
%{_mandir}/man1/perldos.*
%{_mandir}/man1/perldsc.*
%{_mandir}/man1/perldtrace.*
%{_mandir}/man1/perlebcdic.*
%{_mandir}/man1/perlembed.*
%{_mandir}/man1/perlexperiment.*
%{_mandir}/man1/perlfork.*
%{_mandir}/man1/perlform.*
%{_mandir}/man1/perlfreebsd.*
%{_mandir}/man1/perlfunc.*
%{_mandir}/man1/perlgit.*
%{_mandir}/man1/perlgov.*
%{_mandir}/man1/perlgpl.*
%{_mandir}/man1/perlguts.*
%{_mandir}/man1/perlhack.*
%{_mandir}/man1/perlhacktips.*
%{_mandir}/man1/perlhacktut.*
%{_mandir}/man1/perlhaiku.*
%{_mandir}/man1/perlhist.*
%{_mandir}/man1/perlhpux.*
%{_mandir}/man1/perlhurd.*
%{_mandir}/man1/perlintern.*
%{_mandir}/man1/perlinterp.*
%{_mandir}/man1/perlintro.*
%{_mandir}/man1/perliol.*
%{_mandir}/man1/perlipc.*
%{_mandir}/man1/perlirix.*
%{_mandir}/man1/perljp.*
%{_mandir}/man1/perlko.*
%{_mandir}/man1/perllexwarn.*
%{_mandir}/man1/perllinux.*
%{_mandir}/man1/perllocale.*
%{_mandir}/man1/perllol.*
%{_mandir}/man1/perlmacos.*
%{_mandir}/man1/perlmacosx.*
%{_mandir}/man1/perlmod.*
%{_mandir}/man1/perlmodinstall.*
%{_mandir}/man1/perlmodlib.*
%{_mandir}/man1/perlmodstyle.*
%{_mandir}/man1/perlmroapi.*
%{_mandir}/man1/perlnetware.*
%{_mandir}/man1/perlnewmod.*
%{_mandir}/man1/perlnumber.*
%{_mandir}/man1/perlobj.*
%{_mandir}/man1/perlootut.*
%{_mandir}/man1/perlop.*
%{_mandir}/man1/perlopenbsd.*
%{_mandir}/man1/perlopentut.*
%{_mandir}/man1/perlos2.*
%{_mandir}/man1/perlos390.*
%{_mandir}/man1/perlos400.*
%{_mandir}/man1/perlpacktut.*
%{_mandir}/man1/perlperf.*
%{_mandir}/man1/perlplan9.*
%{_mandir}/man1/perlpod.*
%{_mandir}/man1/perlpodspec.*
%{_mandir}/man1/perlpolicy.*
%{_mandir}/man1/perlport.*
%{_mandir}/man1/perlpragma.*
%{_mandir}/man1/perlqnx.*
%{_mandir}/man1/perlre.*
%{_mandir}/man1/perlreapi.*
%{_mandir}/man1/perlrebackslash.*
%{_mandir}/man1/perlrecharclass.*
%{_mandir}/man1/perlref.*
%{_mandir}/man1/perlreftut.*
%{_mandir}/man1/perlreguts.*
%{_mandir}/man1/perlrepository.*
%{_mandir}/man1/perlrequick.*
%{_mandir}/man1/perlreref.*
%{_mandir}/man1/perlretut.*
%{_mandir}/man1/perlriscos.*
%{_mandir}/man1/perlsec.*
%{_mandir}/man1/perlsecpolicy.*
%{_mandir}/man1/perlsolaris.*
%{_mandir}/man1/perlsource.*
%{_mandir}/man1/perlstyle.*
%{_mandir}/man1/perlsub.*
%{_mandir}/man1/perlsyn.*
%{_mandir}/man1/perlsynology.*
%{_mandir}/man1/perlthrtut.*
%{_mandir}/man1/perltie.*
%{_mandir}/man1/perltoc.*
%{_mandir}/man1/perltodo.*
%{_mandir}/man1/perltooc.*
%{_mandir}/man1/perltoot.*
%{_mandir}/man1/perltrap.*
%{_mandir}/man1/perltru64.*
%{_mandir}/man1/perltw.*
%{_mandir}/man1/perlunicode.*
%{_mandir}/man1/perlunicook.*
%{_mandir}/man1/perlunifaq.*
%{_mandir}/man1/perluniintro.*
%{_mandir}/man1/perluniprops.*
%{_mandir}/man1/perlunitut.*
%{_mandir}/man1/perlvar.*
%{_mandir}/man1/perlvms.*
%{_mandir}/man1/perlvos.*
%{_mandir}/man1/perlwin32.*

%files Dumpvalue
%{privlib}/Dumpvalue.pm
%{_mandir}/man3/Dumpvalue.3*

%files DynaLoader
%{archlib}/DynaLoader.pm
%{_mandir}/man3/DynaLoader.3*

%files encoding-warnings
%dir %{privlib}/encoding
%{privlib}/encoding/warnings.pm
%{_mandir}/man3/encoding::warnings.3*

%files English
%{privlib}/English.pm
%{_mandir}/man3/English.3*

%files Errno
%{archlib}/Errno.pm
%{_mandir}/man3/Errno.*

%files ExtUtils-Constant
%dir %{privlib}/ExtUtils
%{privlib}/ExtUtils/Constant
%{privlib}/ExtUtils/Constant.pm
%{_mandir}/man3/ExtUtils::Constant::*
%{_mandir}/man3/ExtUtils::Constant.3*

%files ExtUtils-Embed
%dir %{privlib}/ExtUtils
%{privlib}/ExtUtils/Embed.pm
%{_mandir}/man3/ExtUtils::Embed*

%files ExtUtils-Miniperl
%dir %{privlib}/ExtUtils
%{privlib}/ExtUtils/Miniperl.pm
%{_mandir}/man3/ExtUtils::Miniperl.3*

%files Fcntl
%{archlib}/Fcntl.pm
%{archlib}/auto/Fcntl
%{_mandir}/man3/Fcntl.3*

%files fields
%{privlib}/fields.pm
%{_mandir}/man3/fields.3*

%files File-Basename
%dir %{privlib}/File
%{privlib}/File/Basename.pm
%{_mandir}/man3/File::Basename.3*

%files File-Compare
%dir %{privlib}/File
%{privlib}/File/Compare.pm
%{_mandir}/man3/File::Compare.3*

%files File-Copy
%dir %{privlib}/File
%{privlib}/File/Copy.pm
%{_mandir}/man3/File::Copy.3*

%files File-DosGlob
%dir %{archlib}/File
%{archlib}/File/DosGlob.pm
%dir %{archlib}/auto/File
%{archlib}/auto/File/DosGlob
%{_mandir}/man3/File::DosGlob.3*

%files File-Find
%dir %{privlib}/File
%{privlib}/File/Find.pm
%{_mandir}/man3/File::Find.3*

%files File-stat
%dir %{privlib}/File
%{privlib}/File/stat.pm
%{_mandir}/man3/File::stat.3*

%files FileCache
%{privlib}/FileCache.pm
%{_mandir}/man3/FileCache.3*

%files FileHandle
%{privlib}/FileHandle.pm
%{_mandir}/man3/FileHandle.3*

%files filetest
%{privlib}/filetest.pm
%{_mandir}/man3/filetest.3*

%files FindBin
%{privlib}/FindBin.pm
%{_mandir}/man3/FindBin.*

%files Getopt-Std
%dir %{privlib}/Getopt
%{privlib}/Getopt/Std.pm
%{_mandir}/man3/Getopt::Std.3*

%files Hash-Util
%dir %{archlib}/Hash
%{archlib}/Hash/Util.pm
%dir %{archlib}/auto/Hash
%dir %{archlib}/auto/Hash/Util
%{archlib}/auto/Hash/Util/Util.so
%{_mandir}/man3/Hash::Util.3*

%files Hash-Util-FieldHash
%dir %{archlib}/auto/Hash
%dir %{archlib}/auto/Hash/Util
%{archlib}/auto/Hash/Util/FieldHash
%dir %{archlib}/Hash
%dir %{archlib}/Hash/Util
%{archlib}/Hash/Util/FieldHash.pm
%{_mandir}/man3/Hash::Util::FieldHash.3*

%files if
%{privlib}/if.pm
%{_mandir}/man3/if.3*

%files IO
%dir %{archlib}/IO
%{archlib}/IO.pm
%{archlib}/IO/Dir.pm
%{archlib}/IO/File.pm
%{archlib}/IO/Handle.pm
%{archlib}/IO/Pipe.pm
%{archlib}/IO/Poll.pm
%{archlib}/IO/Seekable.pm
%{archlib}/IO/Select.pm
%dir %{archlib}/IO/Socket
%{archlib}/IO/Socket/INET.pm
%{archlib}/IO/Socket/UNIX.pm
%{archlib}/IO/Socket.pm
%dir %{archlib}/auto/IO
%{archlib}/auto/IO/IO.so
%{_mandir}/man3/IO.*
%{_mandir}/man3/IO::Dir.*
%{_mandir}/man3/IO::File.*
%{_mandir}/man3/IO::Handle.*
%{_mandir}/man3/IO::Pipe.*
%{_mandir}/man3/IO::Poll.*
%{_mandir}/man3/IO::Seekable.*
%{_mandir}/man3/IO::Select.*
%{_mandir}/man3/IO::Socket::INET.*
%{_mandir}/man3/IO::Socket::UNIX.*
%{_mandir}/man3/IO::Socket.*

%files IPC-Open3
%dir %{privlib}/IPC
%{privlib}/IPC/Open2.pm
%{privlib}/IPC/Open3.pm
%{_mandir}/man3/IPC::Open2.3*
%{_mandir}/man3/IPC::Open3.3*

%files I18N-Collate
%dir %{privlib}/I18N
%{privlib}/I18N/Collate.pm
%{_mandir}/man3/I18N::Collate.*

%files I18N-Langinfo
%{archlib}/auto/I18N
%{archlib}/I18N
%{_mandir}/man3/I18N::Langinfo.*

%files I18N-LangTags
%dir %{privlib}/I18N
%{privlib}/I18N/LangTags
%{privlib}/I18N/LangTags.pm
%{_mandir}/man3/I18N::LangTags.*
%{_mandir}/man3/I18N::LangTags::*

%files less
%{privlib}/less.pm
%{_mandir}/man3/less.*

%files lib
%{archlib}/lib.pm
%{_mandir}/man3/lib.*

%files libnetcfg
%{_bindir}/libnetcfg
%{_mandir}/man1/libnetcfg*

%files locale
%{privlib}/locale.pm
%{_mandir}/man3/locale.*

%files Locale-Maketext-Simple
%dir %{privlib}/Locale
%dir %{privlib}/Locale/Maketext
%{privlib}/Locale/Maketext/Simple.pm
%{_mandir}/man3/Locale::Maketext::Simple.*

%files Math-Complex
%dir %{privlib}/Math
%{privlib}/Math/Complex.pm
%{privlib}/Math/Trig.pm
%{_mandir}/man3/Math::Complex.*
%{_mandir}/man3/Math::Trig.*

%files Memoize
%{privlib}/Memoize
%{privlib}/Memoize.pm
%{_mandir}/man3/Memoize::*
%{_mandir}/man3/Memoize.*

%files meta-notation
%{privlib}/meta_notation.pm

%files Module-Loaded
%dir %{privlib}/Module
%{privlib}/Module/Loaded.pm
%{_mandir}/man3/Module::Loaded*

%files mro
%{archlib}/auto/mro
%{archlib}/mro.pm
%{_mandir}/man3/mro.3*

%files Net
%dir %{privlib}/Net
%{privlib}/Net/hostent.pm
%{privlib}/Net/netent.pm
%{privlib}/Net/protoent.pm
%{privlib}/Net/servent.pm
%{_mandir}/man3/Net::hostent.3*
%{_mandir}/man3/Net::netent.3*
%{_mandir}/man3/Net::protoent.3*
%{_mandir}/man3/Net::servent.3*

%files NEXT
%{privlib}/NEXT.pm
%{_mandir}/man3/NEXT.*

%files open
%{privlib}/open.pm
%{_mandir}/man3/open.3*

%files Opcode
%{archlib}/auto/Opcode
%{archlib}/Opcode.pm
%{archlib}/ops.pm
%{_mandir}/man3/Opcode.3*
%{_mandir}/man3/ops.3*

%files overload
%{privlib}/overload.pm
%{_mandir}/man3/overload.3*

%files overloading
%dir %{privlib}/overload
%{privlib}/overload/numbers.pm
%{privlib}/overloading.pm
%{_mandir}/man3/overloading.3*

%files ph
%{archlib}/asm
%{archlib}/asm-generic
%{archlib}/bits
%{archlib}/features*.ph
%{archlib}/gnu
%{archlib}/_h2ph_pre.ph
%ifnarch ppc64le
%{archlib}/linux
%endif
%{archlib}/stdc-predef.ph
%{archlib}/sys
%{archlib}/syscall.ph

%files Pod-Functions
%dir %{privlib}/Pod
%{privlib}/Pod/Functions.pm

%files Pod-Html
%dir %{privlib}/Pod
%{_bindir}/pod2html
%{privlib}/Pod/Html.pm
%{_mandir}/man1/pod2html.1*
%{_mandir}/man3/Pod::Html.*

%files POSIX
%{archlib}/auto/POSIX
%{archlib}/POSIX.*
%{_mandir}/man3/POSIX.*

%files Safe
%{privlib}/Safe.pm
%{_mandir}/man3/Safe.*

%files Search-Dict
%{privlib}/Search
%{_mandir}/man3/Search::*

%files SelectSaver
%{privlib}/SelectSaver.pm
%{_mandir}/man3/SelectSaver.*

%files SelfLoader
%{privlib}/SelfLoader.pm
%{_mandir}/man3/SelfLoader.*

%files sigtrap
%{privlib}/sigtrap.pm
%{_mandir}/man3/sigtrap.*

%files sort
%{privlib}/sort.pm
%{_mandir}/man3/sort.*

%files subs
%{privlib}/subs.pm
%{_mandir}/man3/subs.*

%files Symbol
%{privlib}/Symbol.pm
%{_mandir}/man3/Symbol.*

%files Sys-Hostname
%dir %{archlib}/auto/Sys
%{archlib}/auto/Sys/Hostname
%dir %{archlib}/Sys
%{archlib}/Sys/Hostname.pm
%{_mandir}/man3/Sys::Hostname.*

%files Term-Complete
%dir %{privlib}/Term
%{privlib}/Term/Complete.pm
%{_mandir}/man3/Term::Complete.*

%files Term-ReadLine
%dir %{privlib}/Term
%{privlib}/Term/ReadLine.pm
%{_mandir}/man3/Term::ReadLine.*

%files Test
%{privlib}/Test.pm
%{_mandir}/man3/Test.*

%files Text-Abbrev
%dir %{privlib}/Text
%{privlib}/Text/Abbrev.pm
%{_mandir}/man3/Text::Abbrev.*

%files Thread
%{privlib}/Thread.pm
%{_mandir}/man3/Thread.*

%files Thread-Semaphore
%dir %{privlib}/Thread
%{privlib}/Thread/Semaphore.pm
%{_mandir}/man3/Thread::Semaphore.*

%files Tie
%dir %{privlib}/Tie
%{privlib}/Tie/Array.pm
%{privlib}/Tie/Handle.pm
%{privlib}/Tie/Scalar.pm
%{privlib}/Tie/StdHandle.pm
%{privlib}/Tie/SubstrHash.pm
%{_mandir}/man3/Tie::Array.*
%{_mandir}/man3/Tie::Handle.*
%{_mandir}/man3/Tie::Scalar.*
%{_mandir}/man3/Tie::StdHandle.*
%{_mandir}/man3/Tie::SubstrHash.*

%files Tie-File
%dir %{privlib}/Tie
%{privlib}/Tie/File.pm
%{_mandir}/man3/Tie::File.*

%files Tie-Memoize
%dir %{privlib}/Tie
%{privlib}/Tie/Memoize.pm
%{_mandir}/man3/Tie::Memoize.*

%files Time
%dir %{privlib}/Time
%{privlib}/Time/gmtime.pm
%{privlib}/Time/localtime.pm
%{privlib}/Time/tm.pm
%{_mandir}/man3/Time::gmtime.*
%{_mandir}/man3/Time::localtime.*
%{_mandir}/man3/Time::tm.*

%files Time-Piece
%dir %{archlib}/Time
%{archlib}/Time/Piece.pm 
%{archlib}/Time/Seconds.pm
%dir %{archlib}/auto/Time
%{archlib}/auto/Time/Piece
%{_mandir}/man3/Time::Piece.3*
%{_mandir}/man3/Time::Seconds.3*

%files Unicode-UCD
%dir %{privlib}/Unicode
%{privlib}/Unicode/UCD.pm
%{_mandir}/man3/Unicode::UCD.*

%files User-pwent
%{privlib}/User
%{_mandir}/man3/User::*

%files vars
%{privlib}/vars.pm
%{_mandir}/man3/vars.*

%files vmsish
%{privlib}/vmsish.pm
%{_mandir}/man3/vmsish.*

%changelog
* Tue Mar 15 2022 Shile Zhang <shile.zhang@linux.alibaba.com> - 5.34.0-4
- add perl-marcors package (Shile Zhang)

* Tue Mar 15 2022 Shile Zhang <shile.zhang@linux.alibaba.com> - 5.34.0-3
- add compat macro for rebuild (Shile Zhang)

* Tue Mar 15 2022 Shile Zhang <shile.zhang@linux.alibaba.com> - 5.34.0-2
- set libperl soname (Shile Zhang)

* Thu Mar 10 2022 Shile Zhang <shile.zhang@linux.alibaba.com> - 5.34.0-1
- init commit for Anolis OS 23 (Shile Zhang)
